;;  Horn Clause Representation of Cubeo Kinship Term-of-Reference Rules

;;  The following 'header' gives some basic parameters of this kinship system:
(languageName, "Cubeo") (author, "Nancy L. Morse") (date, "1985-01-01") (citation, "Nancy L. Morse in SOUTH AMERICAN KINSHIP pp. 79-91") 
(non_term, [aux], brother, children, half_brother, half_sister, parents, sibling, siblings, sister, spice, step_brother, step_daughter, step_father, step_mother, step_sister, step_son) (partial, false) (polygamyOK, true) (address, false) (recursiveLevels, 1)
(synonyms, (jipariyo, jiparimu))
(overlaps, (jichimaco, (jiparameco)), (jichimacu, (jiparamecu)), (jipacomaco, (jiparimo)), (jipacumacu, (jiparimu, jipariyo)), (jiparameco, (jichimaco, preferred_spouse)), (jiparamecu, (jichimacu, preferred_spouse)), (jiparimo, (jipacomaco, jiwaco)), (jiparimu, (jipacumacu, jiwacu)), (jipariyo, (jipacumacu, jiwacu)), (jiwaco, (jiparimo)), (jiwacu, (jiparimu, jipariyo)), (preferred_spouse, (jiparameco, jiparamecu)))
(umbrellas, (preferred_spouse, (jichimaco, jichimacu)))
(userDefinedProperties, 
	(*phratry, type, integer, single_value, true, restricted_to, (0, 1, 2, 3, 9)),
	(*sib_name, type, string, single_value, true, restricted_to, ("auwewa", "jejenawa", "bajucuwa", "pedicuwa", "wadariwa", "ijowedowa", "uchiwaiwa", "piarawa", "miadawa", "biowa", "corowa", "juruwa", "yuremawa", "yaniwa", "yocacubewu", "codeitarabuawu", "toruawu", "betowa")),
	(*sib_number, type, integer, single_value, true, restricted_to, (0, 11, 12, 13, 14, 15, 16, 17, 18, 21, 22, 23, 24, 31, 32, 33, 34, 35, 36, 90))
  )


;;  Kin Term Definitions:
;;	(Standard Macros are automatically incorporated.)

brother(Alter, Ego) :-  sibling(Alter, Ego), male(Alter).
;; 0
%brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).


children(Alter, Ego) :-  son(Alter, Ego).
                     |   daughter(Alter, Ego).
;; 0
%children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 son(Alter, Ego).
;; 1
%children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 daughter(Alter, Ego).


cross_gen[aux]11(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)).
                             |   cross_gen[aux]112(Alter, Ego).
;; 0
%cross_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 1
%cross_gen[aux]11:1, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 2
%cross_gen[aux]11:1, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 3
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 4
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 5
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 6
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 7
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 8
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 9
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 10
%cross_gen[aux]11:1, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 11
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 12
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 13
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 14
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 15
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 16
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 17
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 18
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 19
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 20
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 21
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 22
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 23
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 24
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 25
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 26
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 27
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 28
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 29
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 30
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 31
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 32
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 33
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 34
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 35
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 36
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 37
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 38
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 39
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 40
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 41
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 42
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 43
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 44
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 45
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 46
%cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 47
%cross_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).


cross_gen[aux]112(Alter, Ego) :- [ext],  parents(A, Ego), sibling(A, B), gender(C, B), gender(D, A), not(equal(C, D)), child(Alter, B).
                              |  [ext],  parents(A, Ego), parents(B, A), sibling(B, C), gender(D, C), gender(E, B), not(equal(D, E)), children(F, C), child(Alter, F).
                              |  [ext],  parents(A, Ego), parents(B, A), parallel_gen[aux]11(B, C), child(D, C), child(Alter, D), gender(E, A), gender(F, D), not(equal(E, F)).
;; 0
%cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 1
%cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C).
;; 2
%cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 3
%cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 4
%cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 5
%cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 6
%cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 7
%cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 8
%cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H).
;; 9
%cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H).
;; 10
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 11
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 12
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 13
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 14
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 15
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 16
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 17
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 18
%cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 19
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 20
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 21
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 22
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 23
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 24
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 25
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 26
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 27
%cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 28
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 29
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 30
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 31
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 32
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 33
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 34
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 35
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 36
%cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 37
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)).
;; 38
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 39
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 40
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 41
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)).
;; 42
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 43
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)).
;; 44
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).
;; 45
%cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)).


cross_gen[aux]112gs(Alter, Ego) :- [ext],  parents(A, Ego), sibling(A, B), gender(C, B), gender(D, A), not(equal(C, D)), children(Alter, B).
                                |  [ext],  parents(A, Ego), parents(B, A), sibling(B, C), gender(D, C), gender(E, B), not(equal(D, E)), children(F, C), children(Alter, F).
                                |  [ext],  parents(A, Ego), parents(B, A), parallel_gen[aux]11(B, C), child(D, C), gender(E, A), gender(F, D), not(equal(E, F)), children(Alter, D).
;; 0
%cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(Alter, C).
;; 1
%cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(Alter, C).
;; 2
%cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(Alter, C).
;; 3
%cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(Alter, C).
;; 4
%cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 5
%cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 6
%cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 7
%cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 8
%cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 9
%cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 10
%cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 11
%cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 12
%cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 13
%cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 14
%cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 15
%cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 16
%cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 17
%cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 18
%cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 19
%cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 20
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 21
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 22
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 23
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 24
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 25
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 26
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 27
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 28
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 29
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 30
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 31
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 32
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 33
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 34
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 35
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 36
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 37
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 38
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 39
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 40
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 41
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 42
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 43
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 44
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 45
%cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 46
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 47
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 48
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 49
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 50
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 51
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 52
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 53
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 54
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 55
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 56
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 57
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 58
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 59
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 60
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 61
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 62
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 63
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 64
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 65
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 66
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 67
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 68
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 69
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 70
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 71
%cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 72
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 73
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 74
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 75
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 76
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 77
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 78
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 79
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 80
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 81
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 82
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 83
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 84
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 85
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 86
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 87
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 88
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 89
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 90
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 91
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 92
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 93
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 94
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 95
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 96
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 97
%cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 98
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 99
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 100
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 101
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 102
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 103
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 104
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 105
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 106
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 107
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 108
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 109
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 110
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 111
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 112
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 113
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 114
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 115
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 116
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 117
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 118
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 119
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 120
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 121
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 122
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 123
%cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).


cross_gen[aux]11gs(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)).
                               |   cross_gen[aux]112gs(Alter, Ego).
;; 0
%cross_gen[aux]11gs:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).
;; 1
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(Alter, C).
;; 2
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(Alter, C).
;; 3
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(Alter, C).
;; 4
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(Alter, C).
;; 5
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 6
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 7
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 8
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 9
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 10
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 11
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 12
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 13
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 14
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 15
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 16
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 17
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 18
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 19
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 20
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 21
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 22
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 23
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 24
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 25
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 26
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 27
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 28
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 29
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 30
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 31
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 32
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 33
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 34
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 35
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 36
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 37
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 38
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 39
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 40
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 41
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 42
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 43
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 44
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 45
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 46
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 47
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 48
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 49
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 50
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 51
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 52
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 53
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 54
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 55
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 56
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 57
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 58
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 59
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 60
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 61
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 62
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 63
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 64
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 65
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 66
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 67
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 68
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 69
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 70
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 71
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 72
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 73
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 74
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 75
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 76
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 77
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 78
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 79
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 80
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 81
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 82
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 83
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 84
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 85
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 86
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 87
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 88
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 89
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 90
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 91
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 92
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 93
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 94
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 95
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 96
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 97
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 98
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 99
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(Alter, G).
;; 100
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(Alter, G).
;; 101
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 102
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 103
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 104
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 105
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 106
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 107
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(Alter, J).
;; 108
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(Alter, J).
;; 109
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 110
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 111
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(Alter, K).
;; 112
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(Alter, K).
;; 113
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 114
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 115
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(Alter, H).
;; 116
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(Alter, H).
;; 117
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 118
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 119
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 120
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 121
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 122
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), husband(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 123
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), son(Alter, M).
;; 124
%cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), wife(G, H), spouse(I, G), not(equal(H, I)), child(D, I), child(D, G), child(J, H), gender(K, J), gender(K, D), child(B, J), gender(L, B), gender(L, F), child(M, F), gender(N, A), gender(O, M), not(equal(N, O)), daughter(Alter, M).
;; 125
%cross_gen[aux]11gs:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Ego), gender(D, Alter), not(equal(C, D)).


elder_para_gen[aux]11(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Alter), gender(A, Ego), elder(Alter, Ego).
                                  |   parents(A, Ego), elder_para_gen[aux]11(B, A), child(Alter, B), gender(C, A), gender(C, B).
                                  |  [ext],  step_child[aux]11(Ego, A), child(Alter, A), gender(B, Alter), gender(B, Ego), elder(Alter, Ego).
                                  |  [ext],  step_child[aux]11(Ego, A), elder_para_gen[aux]11(B, A), child(Alter, B), gender(C, A), gender(C, B).
;; 0
%elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego).
;; 1
%elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D).
;; 2
%elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 3
%elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 4
%elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D).
;; 5
%elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 6
%elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E).
;; 7
%elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 8
%elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 9
%elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F).
;; 10
%elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F).
;; 11
%elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego).
;; 12
%elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).
;; 13
%elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego).


generation[aux]11(Alter, Ego) :-  sibling(Alter, Ego).
                              |   parents(A, Ego), generation[aux]11gs(B, A), child(Alter, B).
;; 0
%generation[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).


generation[aux]11gs(Alter, Ego) :-  siblings(Alter, Ego).
                                |   parents(A, Ego), generation[aux]11gs(B, A), children(Alter, B).
;; 0
%generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).
;; 2
%generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 3
%generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 4
%generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 5
%generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).
;; 6
%generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), son(Alter, D).
;; 7
%generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), daughter(Alter, D).
;; 8
%generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), son(Alter, D).
;; 9
%generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), daughter(Alter, D).


generation[aux]11small(Alter, Ego) :-  sibling(Alter, Ego).
                                   |   parents(A, Ego), siblings(B, A), child(Alter, B).
;; 0
%generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).


grandparent[aux]11(Alter, Ego) :-  grandparent[aux]11direct(Alter, Ego).
                               |   spouse(A, Ego), grandparent[aux]11direct(Alter, A).
;; 0
%grandparent[aux]11:0, grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]11:0, grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 146
%grandparent[aux]11:1, grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), mother(B, A), parent(Alter, B).
;; 147
%grandparent[aux]11:1, grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), father(B, A), parent(Alter, B).
;; 148
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 149
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 150
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 151
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 152
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 153
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 154
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 155
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 156
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 157
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 158
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 159
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 160
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 161
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 162
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 163
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 164
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 165
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 166
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 167
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 168
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 169
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 170
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 171
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 172
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 173
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 174
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 175
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 176
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 177
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 178
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 179
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 180
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 181
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 182
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 183
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 184
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 185
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 186
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 187
%grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 188
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 189
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 190
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 191
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 192
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 193
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 194
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 195
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 196
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 197
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 198
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 199
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 200
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 201
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 202
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 203
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 204
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 205
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 206
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 207
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 208
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 209
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 210
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 211
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 212
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 213
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 214
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 215
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 216
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 217
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 218
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 219
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 220
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 221
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 222
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 223
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 224
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 225
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 226
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 227
%grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).


grandparent[aux]11direct(Alter, Ego) :-  parents(A, Ego), parent(Alter, A).
                                     |  [ext],  parents(A, Ego), parents(B, A), square[aux]11up_small(Alter, B).
                                     |  [ext],  parents(A, Ego), parents(B, A), square[aux]11up_small(C, B), spouse(Alter, C).
;; 0
%grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).


grandparent[aux]11es(Alter, Ego) :-  grandparent[aux]11direct(Alter, Ego).
                                 |   spice(A, Ego), grandparent[aux]11direct(Alter, A).
;; 0
%grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 1
%grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).
;; 2
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B).
;; 8
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 9
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 10
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 11
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 12
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 13
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 14
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 15
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 16
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 17
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 18
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 19
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 20
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 21
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 22
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 23
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 24
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 25
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B).
;; 26
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 27
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 28
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 29
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 30
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 31
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 32
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 33
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 34
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 35
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 36
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 37
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 38
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 39
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 40
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 41
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 42
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 43
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B).
;; 44
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 45
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 46
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 47
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 48
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 49
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 50
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 51
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 52
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 53
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 54
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 55
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 56
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 57
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 58
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 59
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 60
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 61
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B).
;; 62
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 63
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 64
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 65
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 66
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 67
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 68
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 69
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 70
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 71
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 72
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 73
%grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 74
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 75
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 76
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 77
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 78
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 79
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 80
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 81
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 82
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 83
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 84
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 85
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 86
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 87
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 88
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 89
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 90
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 91
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 92
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 93
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 94
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 95
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 96
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 97
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 98
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 99
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 100
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 101
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 102
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 103
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 104
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 105
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 106
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 107
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 108
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 109
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 110
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 111
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 112
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 113
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 114
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 115
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C).
;; 116
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 117
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 118
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 119
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 120
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 121
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 122
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 123
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 124
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 125
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 126
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 127
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 128
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E).
;; 129
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 130
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 131
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G).
;; 132
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G).
;; 133
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C).
;; 134
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 135
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 136
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 137
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 138
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 139
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 140
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 141
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 142
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 143
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 144
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 145
%grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 146
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), mother(B, A), parent(Alter, B).
;; 147
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), father(B, A), parent(Alter, B).
;; 148
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 149
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 150
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 151
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 152
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 153
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 154
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 155
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 156
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 157
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 158
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 159
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 160
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 161
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 162
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 163
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 164
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 165
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 166
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 167
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 168
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 169
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 170
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 171
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 172
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 173
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 174
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 175
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 176
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 177
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 178
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 179
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 180
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 181
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 182
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 183
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 184
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 185
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 186
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 187
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 188
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 189
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 190
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 191
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 192
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 193
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 194
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 195
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 196
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 197
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 198
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 199
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 200
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 201
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 202
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 203
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 204
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 205
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 206
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 207
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 208
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 209
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 210
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 211
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 212
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 213
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 214
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 215
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 216
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 217
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 218
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 219
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 220
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 221
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 222
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 223
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 224
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 225
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 226
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 227
%grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 228
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), mother(B, A), parent(Alter, B).
;; 229
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), father(B, A), parent(Alter, B).
;; 230
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 231
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 232
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 233
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 234
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 235
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C).
;; 236
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 237
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 238
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 239
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 240
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 241
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 242
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 243
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 244
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 245
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C).
;; 246
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 247
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 248
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 249
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 250
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 251
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 252
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 253
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 254
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 255
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C).
;; 256
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 257
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D).
;; 258
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 259
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D).
;; 260
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)).
;; 261
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 262
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 263
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G).
;; 264
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G).
;; 265
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C).
;; 266
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 267
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D).
;; 268
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 269
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D).
;; 270
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 271
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 272
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 273
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 274
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 275
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 276
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 277
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 278
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 279
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 280
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 281
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 282
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 283
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 284
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 285
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 286
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 287
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 288
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 289
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 290
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 291
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 292
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 293
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 294
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 295
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D).
;; 296
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 297
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 298
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 299
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E).
;; 300
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F).
;; 301
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 302
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 303
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(H, G), spouse(Alter, H).
;; 304
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(H, G), spouse(Alter, H).
;; 305
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D).
;; 306
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 307
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E).
;; 308
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G).
;; 309
%grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E).


half_brother(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
                         |   mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).
;; 0
%half_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), son(Alter, C), son(Alter, B), not(equal(C, A)).
;; 1
%half_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), son(Alter, C), son(Alter, A), not(equal(C, B)).


half_sister(Alter, Ego) :-  mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
                        |   mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).
;; 0
%half_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), wife(C, B), daughter(Alter, C), daughter(Alter, B), not(equal(C, A)).
;; 1
%half_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), husband(C, A), daughter(Alter, C), daughter(Alter, A), not(equal(C, B)).


in_law[aux]11(Alter, Ego) :-  spouse(A, Ego), parent(Alter, A).
                          |  [ext],  spouse(A, Ego), step_child[aux]11ne(A, Alter).
                          |  [ext],  spouse(A, Ego), parents(B, A), generation[aux]11small(Alter, B).
                          |  [ext],  spouse(A, Ego), step_father(B, A), generation[aux]11small(Alter, B).
                          |  [ext],  spouse(A, Ego), step_mother(B, A), generation[aux]11small(Alter, B).
;; 0
%in_law[aux]11:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), parent(Alter, A).
;; 1
%in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), spouse(B, Alter), spouse(C, B), not(equal(Alter, C)), child(A, C), child(A, B).
;; 2
%in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 3
%in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 4
%in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 5
%in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 6
%in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 7
%in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)).
;; 8
%in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 9
%in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 10
%in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F).
;; 11
%in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F).
;; 12
%in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 13
%in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 14
%in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 15
%in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 16
%in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 17
%in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)).
;; 18
%in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 19
%in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).
;; 20
%in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H).
;; 21
%in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H).


jibuwaimo(Alter, Ego) :-  step_daughter(Alter, Ego).
{"Stda"}
;; 0
%jibuwaimo:0, step_daughter:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stda}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


jibuwaimu(Alter, Ego) :-  step_son(Alter, Ego).
{"Stso"}
;; 0
%jibuwaimu:0, step_son:0%
 Lvl=-1,  PC=2, S=2, Star=0,  {Stso}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).


jicapenumo(Alter, Ego) :-  wife(A, Ego), parallel_gen[aux]11(Alter, A).
                       |  [ext],  male(Ego), parallel_gen[aux]11(A, Ego), wife(Alter, A).
{"BroWi_FaBroSoWi_FaHbroSoWi_HbroWi_MoHsisSoWi_MoSisSoWi_StfaBroSoWi_StmoSisSoWi_WiFaBroDa_WiFaHbroDa_WiHsis_WiMoHsisDa_WiMoSisDa_WiSis_WiStfaBroDa_WiStmoSisDa"}
;; 0
%jicapenumo:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiSis}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Alter), gender(D, A).
;; 1
%jicapenumo:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 2
%jicapenumo:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {WiMoHsisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 3
%jicapenumo:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {WiMoHsisDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 4
%jicapenumo:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {WiFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 5
%jicapenumo:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {WiFaHbroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 6
%jicapenumo:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {WiFaHbroDa}  
[ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 7
%jicapenumo:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {WiHsis}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 8
%jicapenumo:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {WiHsis}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 9
%jicapenumo:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {WiStmoSisDa}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 10
%jicapenumo:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {WiStfaBroDa}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 11
%jicapenumo:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
[ext],  male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), wife(Alter, C).
;; 12
%jicapenumo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisSoWi}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), wife(Alter, F).
;; 13
%jicapenumo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 14
%jicapenumo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisSoWi}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 15
%jicapenumo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroSoWi}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), wife(Alter, F).
;; 16
%jicapenumo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroSoWi}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 17
%jicapenumo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroSoWi}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), wife(Alter, G).
;; 18
%jicapenumo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HbroWi}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), wife(Alter, D).
;; 19
%jicapenumo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HbroWi}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), wife(Alter, D).
;; 20
%jicapenumo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StmoSisSoWi}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), wife(Alter, H).
;; 21
%jicapenumo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StfaBroSoWi}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), wife(Alter, H).


jicapenumu(Alter, Ego) :-  husband(A, Ego), parallel_gen[aux]11(Alter, A).
                       |  [ext],  female(Ego), parallel_gen[aux]11(A, Ego), husband(Alter, A).
{"FaBroDaHu_FaHbroDaHu_HsisHu_HuBro_HuFaBroSo_HuFaHbroSo_HuHbro_HuMoHsisSo_HuMoSisSo_HuStfaBroSo_HuStmoSisSo_MoHsisDaHu_MoSisDaHu_SisHu_StfaBroDaHu_StmoSisDaHu"}
;; 0
%jicapenumu:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuBro}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, Alter), gender(D, A).
;; 1
%jicapenumu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 2
%jicapenumu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {HuMoHsisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 3
%jicapenumu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {HuMoHsisSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 4
%jicapenumu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {HuFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(Alter, E), gender(G, Alter), gender(G, A).
;; 5
%jicapenumu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {HuFaHbroSo}  
[ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 6
%jicapenumu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {HuFaHbroSo}  
[ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, A).
;; 7
%jicapenumu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HuHbro}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 8
%jicapenumu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HuHbro}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(Alter, C), gender(E, Alter), gender(E, A).
;; 9
%jicapenumu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {HuStmoSisSo}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 10
%jicapenumu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {HuStfaBroSo}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(Alter, G), gender(I, Alter), gender(I, A).
;; 11
%jicapenumu:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
[ext],  female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), husband(Alter, C).
;; 12
%jicapenumu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {MoSisDaHu}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), husband(Alter, F).
;; 13
%jicapenumu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 14
%jicapenumu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {MoHsisDaHu}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 15
%jicapenumu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=1, Star=0,  {FaBroDaHu}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), husband(Alter, F).
;; 16
%jicapenumu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroDaHu}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 17
%jicapenumu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=3, Star=0,  {FaHbroDaHu}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), husband(Alter, G).
;; 18
%jicapenumu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=3, Star=0,  {HsisHu}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), husband(Alter, D).
;; 19
%jicapenumu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=3, Star=0,  {HsisHu}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), husband(Alter, D).
;; 20
%jicapenumu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StmoSisDaHu}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), husband(Alter, H).
;; 21
%jicapenumu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=3, Star=0,  {StfaBroDaHu}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), husband(Alter, H).


jichimaco(Alter, Ego) :-  cross_gen[aux]112(Alter, Ego), female(Alter).
                      |   cross_gen[aux]112gs(A, Ego), children(B, A), daughter(Alter, B).
{"FaFaBroDaDa_FaFaBroDaDaDaDa_FaFaBroDaDaSoDa_FaFaBroDaSoDaDa_FaFaBroDaSoSoDa_FaFaFaBroSoDaDa_FaFaFaBroSoDaDaDaDa_FaFaFaBroSoDaDaSoDa_FaFaFaBroSoDaSoDaDa_FaFaFaBroSoDaSoSoDa_FaFaFaHbroSoDaDa_FaFaHbroDaDa_FaFaHbroDaDaDaDa_FaFaHbroDaDaSoDa_FaFaHbroDaSoDaDa_FaFaHbroDaSoSoDa_FaFaMoHsisSoDaDa_FaFaMoSisSoDaDa_FaFaMoSisSoDaDaDaDa_FaFaMoSisSoDaDaSoDa_FaFaMoSisSoDaSoDaDa_FaFaMoSisSoDaSoSoDa_FaFaSisDaDa_FaFaSisSoDa_FaMoBroDaDa_FaMoBroSoDa_FaMoFaBroDaDaDa_FaMoFaBroDaDaDaDaDa_FaMoFaBroDaDaDaSoDa_FaMoFaBroDaDaSoDaDa_FaMoFaBroDaDaSoSoDa_FaMoFaHbroDaDaDa_FaMoHsisDaDa_FaMoHsisDaDaDaDa_FaMoHsisDaDaSoDa_FaMoHsisDaSoDaDa_FaMoHsisDaSoSoDa_FaMoMoHsisDaDaDa_FaMoMoSisDaDaDa_FaMoMoSisDaDaDaDaDa_FaMoMoSisDaDaDaSoDa_FaMoMoSisDaDaSoDaDa_FaMoMoSisDaDaSoSoDa_FaMoSisDaDa_FaMoSisDaDaDaDa_FaMoSisDaDaSoDa_FaMoSisDaSoDaDa_FaMoSisDaSoSoDa_FaSisDa_FaSisDaDaDa_FaSisDaSoDa_FaSisSoDaDa_FaSisSoSoDa_MoBroDa_MoBroDaDaDa_MoBroDaSoDa_MoBroSoDaDa_MoBroSoSoDa_MoFaBroSoDa_MoFaBroSoDaDaDa_MoFaBroSoDaSoDa_MoFaBroSoSoDaDa_MoFaBroSoSoSoDa_MoFaFaBroSoSoDa_MoFaFaBroSoSoDaDaDa_MoFaFaBroSoSoDaSoDa_MoFaFaBroSoSoSoDaDa_MoFaFaBroSoSoSoSoDa_MoFaFaHbroSoSoDa_MoFaHbroSoDa_MoFaHbroSoDaDaDa_MoFaHbroSoDaSoDa_MoFaHbroSoSoDaDa_MoFaHbroSoSoSoDa_MoFaMoHsisSoSoDa_MoFaMoSisSoSoDa_MoFaMoSisSoSoDaDaDa_MoFaMoSisSoSoDaSoDa_MoFaMoSisSoSoSoDaDa_MoFaMoSisSoSoSoSoDa_MoFaSisDaDa_MoFaSisSoDa_MoMoBroDaDa_MoMoBroSoDa_MoMoFaBroDaSoDa_MoMoFaBroDaSoDaDaDa_MoMoFaBroDaSoDaSoDa_MoMoFaBroDaSoSoDaDa_MoMoFaBroDaSoSoSoDa_MoMoFaHbroDaSoDa_MoMoHsisSoDa_MoMoHsisSoDaDaDa_MoMoHsisSoDaSoDa_MoMoHsisSoSoDaDa_MoMoHsisSoSoSoDa_MoMoMoHsisDaSoDa_MoMoMoSisDaSoDa_MoMoMoSisDaSoDaDaDa_MoMoMoSisDaSoDaSoDa_MoMoMoSisDaSoSoDaDa_MoMoMoSisDaSoSoSoDa_MoMoSisSoDa_MoMoSisSoDaDaDa_MoMoSisSoDaSoDa_MoMoSisSoSoDaDa_MoMoSisSoSoSoDa"}
;; 0
%jichimaco:0, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 1
%jichimaco:0, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 2
%jichimaco:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 3
%jichimaco:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 4
%jichimaco:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 5
%jichimaco:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 6
%jichimaco:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 7
%jichimaco:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 8
%jichimaco:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 9
%jichimaco:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 10
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 11
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 12
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 13
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 14
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 15
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 16
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 17
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 18
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 19
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 20
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 21
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 22
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 23
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 24
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 25
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 26
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 27
%jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 28
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 29
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 30
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 31
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 32
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 33
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 34
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 35
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 36
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 37
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 38
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 39
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 40
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 41
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 42
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 43
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 44
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 45
%jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 46
%jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), daughter(Alter, H).
;; 47
%jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), daughter(Alter, H).
;; 48
%jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), daughter(Alter, H).
;; 49
%jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), daughter(Alter, H).
;; 50
%jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), daughter(Alter, H).
;; 51
%jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), daughter(Alter, H).
;; 52
%jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), daughter(Alter, H).
;; 53
%jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), daughter(Alter, H).
;; 54
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), daughter(Alter, K).
;; 55
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), daughter(Alter, K).
;; 56
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), daughter(Alter, K).
;; 57
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), daughter(Alter, K).
;; 58
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 59
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 60
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 61
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 62
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 63
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 64
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 65
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 66
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 67
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 68
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 69
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 70
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 71
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 72
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 73
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaDa}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 74
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), daughter(Alter, K).
;; 75
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), daughter(Alter, K).
;; 76
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), daughter(Alter, K).
;; 77
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), daughter(Alter, K).
;; 78
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 79
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 80
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoDaSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 81
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoDaDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 82
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 83
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 84
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoDaSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 85
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoDaDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 86
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 87
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 88
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 89
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 90
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 91
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 92
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 93
%jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaDa}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 94
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), daughter(Alter, K).
;; 95
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), daughter(Alter, K).
;; 96
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), daughter(Alter, K).
;; 97
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), daughter(Alter, K).
;; 98
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 99
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 100
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 101
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 102
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 103
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 104
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 105
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 106
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 107
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 108
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 109
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 110
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 111
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 112
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 113
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaDa}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 114
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), daughter(Alter, K).
;; 115
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), daughter(Alter, K).
;; 116
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), daughter(Alter, K).
;; 117
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), daughter(Alter, K).
;; 118
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaSoSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 119
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 120
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 121
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 122
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaSoSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), daughter(Alter, N).
;; 123
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), daughter(Alter, N).
;; 124
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), daughter(Alter, N).
;; 125
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), daughter(Alter, N).
;; 126
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 127
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 128
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 129
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 130
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 131
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 132
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 133
%jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).


jichimacu(Alter, Ego) :-  cross_gen[aux]112(Alter, Ego), male(Alter).
                      |   cross_gen[aux]112gs(A, Ego), children(B, A), son(Alter, B).
{"FaFaBroDaDaDaSo_FaFaBroDaDaSoSo_FaFaBroDaSo_FaFaBroDaSoDaSo_FaFaBroDaSoSoSo_FaFaFaBroSoDaDaDaSo_FaFaFaBroSoDaDaSoSo_FaFaFaBroSoDaSo_FaFaFaBroSoDaSoDaSo_FaFaFaBroSoDaSoSoSo_FaFaFaHbroSoDaSo_FaFaHbroDaDaDaSo_FaFaHbroDaDaSoSo_FaFaHbroDaSo_FaFaHbroDaSoDaSo_FaFaHbroDaSoSoSo_FaFaMoHsisSoDaSo_FaFaMoSisSoDaDaDaSo_FaFaMoSisSoDaDaSoSo_FaFaMoSisSoDaSo_FaFaMoSisSoDaSoDaSo_FaFaMoSisSoDaSoSoSo_FaFaSisDaSo_FaFaSisSoSo_FaMoBroDaSo_FaMoBroSoSo_FaMoFaBroDaDaDaDaSo_FaMoFaBroDaDaDaSoSo_FaMoFaBroDaDaSo_FaMoFaBroDaDaSoDaSo_FaMoFaBroDaDaSoSoSo_FaMoFaHbroDaDaSo_FaMoHsisDaDaDaSo_FaMoHsisDaDaSoSo_FaMoHsisDaSo_FaMoHsisDaSoDaSo_FaMoHsisDaSoSoSo_FaMoMoHsisDaDaSo_FaMoMoSisDaDaDaDaSo_FaMoMoSisDaDaDaSoSo_FaMoMoSisDaDaSo_FaMoMoSisDaDaSoDaSo_FaMoMoSisDaDaSoSoSo_FaMoSisDaDaDaSo_FaMoSisDaDaSoSo_FaMoSisDaSo_FaMoSisDaSoDaSo_FaMoSisDaSoSoSo_FaSisDaDaSo_FaSisDaSoSo_FaSisSo_FaSisSoDaSo_FaSisSoSoSo_MoBroDaDaSo_MoBroDaSoSo_MoBroSo_MoBroSoDaSo_MoBroSoSoSo_MoFaBroSoDaDaSo_MoFaBroSoDaSoSo_MoFaBroSoSo_MoFaBroSoSoDaSo_MoFaBroSoSoSoSo_MoFaFaBroSoSoDaDaSo_MoFaFaBroSoSoDaSoSo_MoFaFaBroSoSoSo_MoFaFaBroSoSoSoDaSo_MoFaFaBroSoSoSoSoSo_MoFaFaHbroSoSoSo_MoFaHbroSoDaDaSo_MoFaHbroSoDaSoSo_MoFaHbroSoSo_MoFaHbroSoSoDaSo_MoFaHbroSoSoSoSo_MoFaMoHsisSoSoSo_MoFaMoSisSoSoDaDaSo_MoFaMoSisSoSoDaSoSo_MoFaMoSisSoSoSo_MoFaMoSisSoSoSoDaSo_MoFaMoSisSoSoSoSoSo_MoFaSisDaSo_MoFaSisSoSo_MoMoBroDaSo_MoMoBroSoSo_MoMoFaBroDaSoDaDaSo_MoMoFaBroDaSoDaSoSo_MoMoFaBroDaSoSo_MoMoFaBroDaSoSoDaSo_MoMoFaBroDaSoSoSoSo_MoMoFaHbroDaSoSo_MoMoHsisSoDaDaSo_MoMoHsisSoDaSoSo_MoMoHsisSoSo_MoMoHsisSoSoDaSo_MoMoHsisSoSoSoSo_MoMoMoHsisDaSoSo_MoMoMoSisDaSoDaDaSo_MoMoMoSisDaSoDaSoSo_MoMoMoSisDaSoSo_MoMoMoSisDaSoSoDaSo_MoMoMoSisDaSoSoSoSo_MoMoSisSoDaDaSo_MoMoSisSoDaSoSo_MoMoSisSoSo_MoMoSisSoSoDaSo_MoMoSisSoSoSoSo"}
;; 0
%jichimacu:0, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 1
%jichimacu:0, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 2
%jichimacu:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 3
%jichimacu:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 4
%jichimacu:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 5
%jichimacu:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 6
%jichimacu:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 7
%jichimacu:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 8
%jichimacu:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 9
%jichimacu:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 10
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 11
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 12
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 13
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 14
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 15
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 16
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 17
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 18
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 19
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 20
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 21
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 22
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 23
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 24
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 25
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 26
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 27
%jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 28
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 29
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 30
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 31
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 32
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 33
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 34
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 35
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 36
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 37
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 38
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 39
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 40
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 41
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 42
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 43
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 44
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 45
%jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 46
%jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), son(Alter, H).
;; 47
%jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), son(Alter, H).
;; 48
%jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), son(Alter, H).
;; 49
%jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), son(Alter, H).
;; 50
%jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), son(Alter, H).
;; 51
%jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), son(Alter, H).
;; 52
%jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), son(Alter, H).
;; 53
%jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), son(Alter, H).
;; 54
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoSoSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), son(Alter, K).
;; 55
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoSoDaSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), son(Alter, K).
;; 56
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaSoSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), son(Alter, K).
;; 57
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoSisSoDaDaSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), son(Alter, K).
;; 58
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 59
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 60
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 61
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoMoSisDaSoDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 62
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 63
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 64
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 65
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoMoFaBroDaSoDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 66
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 67
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 68
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 69
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 70
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 71
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 72
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 73
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 74
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoSoSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), son(Alter, K).
;; 75
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoSoDaSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), son(Alter, K).
;; 76
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaSoSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), son(Alter, K).
;; 77
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaBroSoDaDaSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), son(Alter, K).
;; 78
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 79
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoSoDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 80
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoDaSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 81
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaMoSisSoSoDaDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 82
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 83
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoSoDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 84
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoDaSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 85
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {MoFaFaBroSoSoDaDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 86
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 87
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 88
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 89
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 90
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 91
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 92
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 93
%jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 94
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoSoSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), son(Alter, K).
;; 95
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaSoDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), son(Alter, K).
;; 96
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaSoSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), son(Alter, K).
;; 97
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoSisDaDaDaSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), son(Alter, K).
;; 98
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 99
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 100
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 101
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoMoSisDaDaDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 102
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 103
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 104
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 105
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaMoFaBroDaDaDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 106
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 107
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 108
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 109
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 110
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 111
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 112
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 113
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 114
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoSoSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(K, J), son(Alter, K).
;; 115
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaSoDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(K, J), son(Alter, K).
;; 116
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaSoSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(K, J), son(Alter, K).
;; 117
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaBroDaDaDaSo}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(K, J), son(Alter, K).
;; 118
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaSoSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 119
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 120
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaDaSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 121
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaMoSisSoDaDaDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 122
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaSoSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(N, M), son(Alter, N).
;; 123
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(N, M), son(Alter, N).
;; 124
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaDaSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(N, M), son(Alter, N).
;; 125
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=12, S=0, Star=0,  {FaFaFaBroSoDaDaDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(N, M), son(Alter, N).
;; 126
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 127
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 128
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 129
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 130
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 131
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 132
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 133
%jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).


jicoyumu(Alter, Ego) :-  wife(A, Ego), sibling(Alter, A), male(Alter).
                     |   male(Ego), sibling(A, Ego), husband(Alter, A).
{"SisHu_WiBro"}
;; 0
%jicoyumu:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {WiBro}  
 wife(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), male(Alter).
;; 1
%jicoyumu:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {SisHu}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), husband(Alter, C).


jimaco(Alter, Ego) :-  daughter(Alter, Ego).
{"Da"}
;; 0
%jimaco:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {Da}  
 daughter(Alter, Ego).


jimacu(Alter, Ego) :-  son(Alter, Ego).
{"So"}
;; 0
%jimacu:0%
 Lvl=-1,  PC=1, S=0, Star=0,  {So}  
 son(Alter, Ego).


jimamico(Alter, Ego) :-  sister(Alter, Ego), elder(Alter, Ego).
                     |  [ext],  elder_para_gen[aux]11(Alter, Ego), female(Alter).
                     |  [ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(generation[aux]11(Alter, Ego)).
                     |  [ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Alter, Ego), not(generation[aux]11(Alter, Ego)).
{"**_FaBroDa_FaHbroDa_Hsis_MoHsisDa_MoSisDa_Sis_StfaBroDa_StmoSisDa"}
;; 0
%jimamico:0, sister:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter), elder(Alter, Ego).
;; 1
%jimamico:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego), female(Alter).
;; 2
%jimamico:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), female(Alter).
;; 3
%jimamico:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 4
%jimamico:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 5
%jimamico:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), female(Alter).
;; 6
%jimamico:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 7
%jimamico:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), female(Alter).
;; 8
%jimamico:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), female(Alter).
;; 9
%jimamico:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), female(Alter).
;; 10
%jimamico:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StmoSisDa}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), female(Alter).
;; 11
%jimamico:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StfaBroDa}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), female(Alter).
;; 12
%jimamico:2, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=4,  {**}  
[ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 13
%jimamico:3, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Alter, Ego), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


jimamicu(Alter, Ego) :-  brother(Alter, Ego), elder(Alter, Ego).
                     |  [ext],  elder_para_gen[aux]11(Alter, Ego), male(Alter).
                     |  [ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(generation[aux]11(Alter, Ego)).
                     |  [ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Alter, Ego), not(generation[aux]11(Alter, Ego)).
{"**_Bro_FaBroSo_FaHbroSo_Hbro_MoHsisSo_MoSisSo_StfaBroSo_StmoSisSo"}
;; 0
%jimamicu:0, brother:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter), elder(Alter, Ego).
;; 1
%jimamicu:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego), elder(Alter, Ego), male(Alter).
;; 2
%jimamicu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), male(Alter).
;; 3
%jimamicu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 4
%jimamicu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 5
%jimamicu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Alter, D), gender(F, A), gender(F, D), male(Alter).
;; 6
%jimamicu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 7
%jimamicu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Alter, E), gender(G, A), gender(G, E), male(Alter).
;; 8
%jimamicu:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), male(Alter).
;; 9
%jimamicu:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego), elder(Alter, Ego), male(Alter).
;; 10
%jimamicu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StmoSisSo}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), male(Alter).
;; 11
%jimamicu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {StfaBroSo}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Alter, F), gender(H, B), gender(H, F), male(Alter).
;; 12
%jimamicu:2, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=4,  {**}  
[ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(C, B), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 13
%jimamicu:3, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Alter, Ego), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


jimarepaco(Alter, Ego) :-  wife(Alter, Ego).
{"Wi"}
;; 0
%jimarepaco:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Wi}  
 wife(Alter, Ego).


jimarepacu(Alter, Ego) :-  husband(Alter, Ego).
{"Hu"}
;; 0
%jimarepacu:0%
 Lvl=0,  PC=0, S=1, Star=0,  {Hu}  
 husband(Alter, Ego).


jineco(Alter, Ego) :-  grandparent[aux]11es(Alter, Ego), female(Alter).
{"FaFaBroWi_FaFaFaBroDa_FaFaFaBroSoWi_FaFaFaBroWi_FaFaFaFaBroDa_FaFaFaFaSisDa_FaFaFaMo_FaFaFaMoBroDa_FaFaFaMoSisDa_FaFaFaSis_FaFaFaSisDa_FaFaFaSisSoWi_FaFaMo_FaFaMoBroDa_FaFaMoBroSoWi_FaFaMoBroWi_FaFaMoFaBroDa_FaFaMoFaSisDa_FaFaMoMo_FaFaMoMoBroDa_FaFaMoMoSisDa_FaFaMoSis_FaFaMoSisDa_FaFaMoSisSoWi_FaFaSis_FaMo_FaMoBroWi_FaMoFaBroDa_FaMoFaBroSoWi_FaMoFaBroWi_FaMoFaFaBroDa_FaMoFaFaSisDa_FaMoFaMo_FaMoFaMoBroDa_FaMoFaMoSisDa_FaMoFaSis_FaMoFaSisDa_FaMoFaSisSoWi_FaMoMo_FaMoMoBroDa_FaMoMoBroSoWi_FaMoMoBroWi_FaMoMoFaBroDa_FaMoMoFaSisDa_FaMoMoMo_FaMoMoMoBroDa_FaMoMoMoSisDa_FaMoMoSis_FaMoMoSisDa_FaMoMoSisSoWi_FaMoSis_HuFaFaBroWi_HuFaFaFaBroDa_HuFaFaFaBroWi_HuFaFaFaMo_HuFaFaFaSis_HuFaFaFaSisDa_HuFaFaMo_HuFaFaMoBroDa_HuFaFaMoBroWi_HuFaFaMoMo_HuFaFaMoSis_HuFaFaMoSisDa_HuFaFaSis_HuFaMo_HuFaMoBroWi_HuFaMoFaBroDa_HuFaMoFaBroWi_HuFaMoFaMo_HuFaMoFaSis_HuFaMoFaSisDa_HuFaMoMo_HuFaMoMoBroDa_HuFaMoMoBroWi_HuFaMoMoMo_HuFaMoMoSis_HuFaMoMoSisDa_HuFaMoSis_HuMoFaBroWi_HuMoFaFaBroDa_HuMoFaFaBroWi_HuMoFaFaMo_HuMoFaFaSis_HuMoFaFaSisDa_HuMoFaMo_HuMoFaMoBroDa_HuMoFaMoBroWi_HuMoFaMoMo_HuMoFaMoSis_HuMoFaMoSisDa_HuMoFaSis_HuMoMo_HuMoMoBroWi_HuMoMoFaBroDa_HuMoMoFaBroWi_HuMoMoFaMo_HuMoMoFaSis_HuMoMoFaSisDa_HuMoMoMo_HuMoMoMoBroDa_HuMoMoMoBroWi_HuMoMoMoMo_HuMoMoMoSis_HuMoMoMoSisDa_HuMoMoSis_MoFaBroWi_MoFaFaBroDa_MoFaFaBroSoWi_MoFaFaBroWi_MoFaFaFaBroDa_MoFaFaFaSisDa_MoFaFaMo_MoFaFaMoBroDa_MoFaFaMoSisDa_MoFaFaSis_MoFaFaSisDa_MoFaFaSisSoWi_MoFaMo_MoFaMoBroDa_MoFaMoBroSoWi_MoFaMoBroWi_MoFaMoFaBroDa_MoFaMoFaSisDa_MoFaMoMo_MoFaMoMoBroDa_MoFaMoMoSisDa_MoFaMoSis_MoFaMoSisDa_MoFaMoSisSoWi_MoFaSis_MoMo_MoMoBroWi_MoMoFaBroDa_MoMoFaBroSoWi_MoMoFaBroWi_MoMoFaFaBroDa_MoMoFaFaSisDa_MoMoFaMo_MoMoFaMoBroDa_MoMoFaMoSisDa_MoMoFaSis_MoMoFaSisDa_MoMoFaSisSoWi_MoMoMo_MoMoMoBroDa_MoMoMoBroSoWi_MoMoMoBroWi_MoMoMoFaBroDa_MoMoMoFaSisDa_MoMoMoMo_MoMoMoMoBroDa_MoMoMoMoSisDa_MoMoMoSis_MoMoMoSisDa_MoMoMoSisSoWi_MoMoSis_WiFaFaBroWi_WiFaFaFaBroDa_WiFaFaFaBroWi_WiFaFaFaMo_WiFaFaFaSis_WiFaFaFaSisDa_WiFaFaMo_WiFaFaMoBroDa_WiFaFaMoBroWi_WiFaFaMoMo_WiFaFaMoSis_WiFaFaMoSisDa_WiFaFaSis_WiFaMo_WiFaMoBroWi_WiFaMoFaBroDa_WiFaMoFaBroWi_WiFaMoFaMo_WiFaMoFaSis_WiFaMoFaSisDa_WiFaMoMo_WiFaMoMoBroDa_WiFaMoMoBroWi_WiFaMoMoMo_WiFaMoMoSis_WiFaMoMoSisDa_WiFaMoSis_WiMoFaBroWi_WiMoFaFaBroDa_WiMoFaFaBroWi_WiMoFaFaMo_WiMoFaFaSis_WiMoFaFaSisDa_WiMoFaMo_WiMoFaMoBroDa_WiMoFaMoBroWi_WiMoFaMoMo_WiMoFaMoSis_WiMoFaMoSisDa_WiMoFaSis_WiMoMo_WiMoMoBroWi_WiMoMoFaBroDa_WiMoMoFaBroWi_WiMoMoFaMo_WiMoMoFaSis_WiMoMoFaSisDa_WiMoMoMo_WiMoMoMoBroDa_WiMoMoMoBroWi_WiMoMoMoMo_WiMoMoMoSis_WiMoMoMoSisDa_WiMoMoSis"}
;; 0
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoMo}  
 mother(A, Ego), parent(Alter, A), female(Alter).
;; 1
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaMo}  
 father(A, Ego), parent(Alter, A), female(Alter).
;; 2
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 3
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 4
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 5
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 6
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 7
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 8
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoSis}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 9
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 10
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 11
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 12
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 13
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 14
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaSis}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 15
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 16
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 17
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 18
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisDa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 19
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 20
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 21
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 22
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 23
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 24
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 25
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 26
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoSis}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 27
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 28
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 29
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 30
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisDa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 31
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 32
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaSis}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 33
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 34
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 35
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 36
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisDa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 37
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 38
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 39
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 40
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 41
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 42
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 43
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 44
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoSis}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 45
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 46
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 47
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 48
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 49
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 50
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaSis}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 51
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 52
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 53
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 54
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisDa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 55
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 56
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 57
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 58
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 59
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 60
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 61
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 62
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoSis}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 63
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 64
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 65
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 66
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 67
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 68
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaSis}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 69
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 70
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 71
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 72
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisDa}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 73
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 74
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 75
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 76
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 77
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaBroSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 78
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaSisSoWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 79
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoMo}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 80
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoBroWi}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 81
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoMo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 82
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaBroWi}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 83
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaMo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 84
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 85
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoBroSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 86
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoSisSoWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 87
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaBroSoWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 88
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaSisSoWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 89
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaMo}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 90
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoBroWi}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 91
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoMo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 92
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaBroWi}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 93
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaMo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 94
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 95
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoBroSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 96
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 97
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaBroSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 98
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaSisSoWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 99
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoMo}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 100
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoBroWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 101
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoMo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 102
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaBroWi}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 103
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaMo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 104
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), female(Alter).
;; 105
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 106
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoSisSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 107
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), female(Alter).
;; 108
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaSisSoWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), female(Alter).
;; 109
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaMo}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), female(Alter).
;; 110
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoBroWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 111
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoMo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 112
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaBroWi}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 113
%jineco:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaMo}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 114
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoMo}  
 husband(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 115
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaMo}  
 husband(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 116
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 117
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 118
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 119
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 120
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 121
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 122
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 123
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 124
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 125
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 126
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 127
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 128
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 129
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaBroDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 130
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaSisDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 131
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 132
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 133
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 134
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaSis}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 135
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 136
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 137
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 138
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 139
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaBroDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 140
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaSisDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 141
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 142
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 143
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 144
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaSis}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 145
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 146
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 147
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 148
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 149
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaBroDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 150
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaSisDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 151
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 152
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 153
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 154
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaSis}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 155
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 156
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 157
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 158
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 159
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 160
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 161
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 162
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 163
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 164
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 165
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 166
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 167
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaMo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 168
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 169
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 170
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 171
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 172
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaBroWi}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 173
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaMo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 174
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 175
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 176
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 177
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 178
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaBroWi}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 179
%jineco:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaMo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 180
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoMo}  
 wife(A, Ego), mother(B, A), parent(Alter, B), female(Alter).
;; 181
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaMo}  
 wife(A, Ego), father(B, A), parent(Alter, B), female(Alter).
;; 182
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 183
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 184
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 185
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 186
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 187
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 188
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 189
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 190
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 191
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 192
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 193
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 194
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 195
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaBroDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 196
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaSisDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 197
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 198
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 199
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 200
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaSis}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 201
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 202
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 203
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 204
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 205
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaBroDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 206
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaSisDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 207
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C), female(Alter).
;; 208
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 209
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 210
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaSis}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 211
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 212
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), female(Alter).
;; 213
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 214
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 215
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaBroDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), female(Alter).
;; 216
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaSisDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), female(Alter).
;; 217
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C), female(Alter).
;; 218
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 219
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), female(Alter).
;; 220
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaSis}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 221
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), female(Alter).
;; 222
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 223
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 224
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 225
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 226
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 227
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 228
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 229
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 230
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 231
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 232
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaBroWi}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 233
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaMo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 234
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 235
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 236
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 237
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 238
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaBroWi}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 239
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaMo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 240
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), female(Alter).
;; 241
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), female(Alter).
;; 242
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 243
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), female(Alter).
;; 244
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaBroWi}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), female(Alter).
;; 245
%jineco:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaMo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), female(Alter).


jinecuyo(Alter, Ego) :-  grandparent[aux]11es(Alter, Ego), male(Alter).
{"FaFa_FaFaBro_FaFaFa_FaFaFaBro_FaFaFaBroDaHu_FaFaFaBroSo_FaFaFaFa_FaFaFaFaBroSo_FaFaFaFaSisSo_FaFaFaMoBroSo_FaFaFaMoSisSo_FaFaFaSisDaHu_FaFaFaSisHu_FaFaFaSisSo_FaFaMoBro_FaFaMoBroDaHu_FaFaMoBroSo_FaFaMoFa_FaFaMoFaBroSo_FaFaMoFaSisSo_FaFaMoMoBroSo_FaFaMoMoSisSo_FaFaMoSisDaHu_FaFaMoSisHu_FaFaMoSisSo_FaFaSisHu_FaMoBro_FaMoFa_FaMoFaBro_FaMoFaBroDaHu_FaMoFaBroSo_FaMoFaFa_FaMoFaFaBroSo_FaMoFaFaSisSo_FaMoFaMoBroSo_FaMoFaMoSisSo_FaMoFaSisDaHu_FaMoFaSisHu_FaMoFaSisSo_FaMoMoBro_FaMoMoBroDaHu_FaMoMoBroSo_FaMoMoFa_FaMoMoFaBroSo_FaMoMoFaSisSo_FaMoMoMoBroSo_FaMoMoMoSisSo_FaMoMoSisDaHu_FaMoMoSisHu_FaMoMoSisSo_FaMoSisHu_HuFaFa_HuFaFaBro_HuFaFaFa_HuFaFaFaBro_HuFaFaFaBroSo_HuFaFaFaFa_HuFaFaFaSisHu_HuFaFaFaSisSo_HuFaFaMoBro_HuFaFaMoBroSo_HuFaFaMoFa_HuFaFaMoSisHu_HuFaFaMoSisSo_HuFaFaSisHu_HuFaMoBro_HuFaMoFa_HuFaMoFaBro_HuFaMoFaBroSo_HuFaMoFaFa_HuFaMoFaSisHu_HuFaMoFaSisSo_HuFaMoMoBro_HuFaMoMoBroSo_HuFaMoMoFa_HuFaMoMoSisHu_HuFaMoMoSisSo_HuFaMoSisHu_HuMoFa_HuMoFaBro_HuMoFaFa_HuMoFaFaBro_HuMoFaFaBroSo_HuMoFaFaFa_HuMoFaFaSisHu_HuMoFaFaSisSo_HuMoFaMoBro_HuMoFaMoBroSo_HuMoFaMoFa_HuMoFaMoSisHu_HuMoFaMoSisSo_HuMoFaSisHu_HuMoMoBro_HuMoMoFa_HuMoMoFaBro_HuMoMoFaBroSo_HuMoMoFaFa_HuMoMoFaSisHu_HuMoMoFaSisSo_HuMoMoMoBro_HuMoMoMoBroSo_HuMoMoMoFa_HuMoMoMoSisHu_HuMoMoMoSisSo_HuMoMoSisHu_MoFa_MoFaBro_MoFaFa_MoFaFaBro_MoFaFaBroDaHu_MoFaFaBroSo_MoFaFaFa_MoFaFaFaBroSo_MoFaFaFaSisSo_MoFaFaMoBroSo_MoFaFaMoSisSo_MoFaFaSisDaHu_MoFaFaSisHu_MoFaFaSisSo_MoFaMoBro_MoFaMoBroDaHu_MoFaMoBroSo_MoFaMoFa_MoFaMoFaBroSo_MoFaMoFaSisSo_MoFaMoMoBroSo_MoFaMoMoSisSo_MoFaMoSisDaHu_MoFaMoSisHu_MoFaMoSisSo_MoFaSisHu_MoMoBro_MoMoFa_MoMoFaBro_MoMoFaBroDaHu_MoMoFaBroSo_MoMoFaFa_MoMoFaFaBroSo_MoMoFaFaSisSo_MoMoFaMoBroSo_MoMoFaMoSisSo_MoMoFaSisDaHu_MoMoFaSisHu_MoMoFaSisSo_MoMoMoBro_MoMoMoBroDaHu_MoMoMoBroSo_MoMoMoFa_MoMoMoFaBroSo_MoMoMoFaSisSo_MoMoMoMoBroSo_MoMoMoMoSisSo_MoMoMoSisDaHu_MoMoMoSisHu_MoMoMoSisSo_MoMoSisHu_WiFaFa_WiFaFaBro_WiFaFaFa_WiFaFaFaBro_WiFaFaFaBroSo_WiFaFaFaFa_WiFaFaFaSisHu_WiFaFaFaSisSo_WiFaFaMoBro_WiFaFaMoBroSo_WiFaFaMoFa_WiFaFaMoSisHu_WiFaFaMoSisSo_WiFaFaSisHu_WiFaMoBro_WiFaMoFa_WiFaMoFaBro_WiFaMoFaBroSo_WiFaMoFaFa_WiFaMoFaSisHu_WiFaMoFaSisSo_WiFaMoMoBro_WiFaMoMoBroSo_WiFaMoMoFa_WiFaMoMoSisHu_WiFaMoMoSisSo_WiFaMoSisHu_WiMoFa_WiMoFaBro_WiMoFaFa_WiMoFaFaBro_WiMoFaFaBroSo_WiMoFaFaFa_WiMoFaFaSisHu_WiMoFaFaSisSo_WiMoFaMoBro_WiMoFaMoBroSo_WiMoFaMoFa_WiMoFaMoSisHu_WiMoFaMoSisSo_WiMoFaSisHu_WiMoMoBro_WiMoMoFa_WiMoMoFaBro_WiMoMoFaBroSo_WiMoMoFaFa_WiMoMoFaSisHu_WiMoMoFaSisSo_WiMoMoMoBro_WiMoMoMoBroSo_WiMoMoMoFa_WiMoMoMoSisHu_WiMoMoMoSisSo_WiMoMoSisHu"}
;; 0
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=0, Star=0,  {MoFa}  
 mother(A, Ego), parent(Alter, A), male(Alter).
;; 1
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=0, Star=0,  {FaFa}  
 father(A, Ego), parent(Alter, A), male(Alter).
;; 2
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 3
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 4
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 5
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 6
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoMoFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 7
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 8
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoMoBro}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 9
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 10
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 11
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 12
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoMoFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 13
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 14
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoMoFaBro}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 15
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 16
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaMoSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 17
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaBroSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 18
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoMoFaFaSisSo}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 19
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 20
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {MoFaBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 21
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 22
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaMoSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 23
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 24
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {MoFaFaSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 25
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 26
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaMoBro}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 27
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 28
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoMoSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 29
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaBroSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 30
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaMoFaSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 31
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 32
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {MoFaFaBro}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 33
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 34
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaMoSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 35
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaBroSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 36
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {MoFaFaFaSisSo}  
[ext],  mother(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 37
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 38
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 39
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 40
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 41
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 42
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaMoFaSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 43
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 44
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoMoBro}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 45
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 46
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoMoSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 47
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaBroSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 48
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoMoFaSisSo}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 49
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 50
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaMoFaBro}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 51
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 52
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaMoSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 53
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaBroSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 54
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaMoFaFaSisSo}  
[ext],  father(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 55
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 56
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=0, Star=0,  {FaFaBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 57
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 58
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaMoSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 59
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 60
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=0, Star=0,  {FaFaFaSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 61
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=0, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 62
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaMoBro}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 63
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 64
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoMoSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 65
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaBroSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 66
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaMoFaSisSo}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 67
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 68
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=0, Star=0,  {FaFaFaBro}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 69
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 70
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaMoSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 71
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaBroSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 72
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=3,  PC=9, S=0, Star=0,  {FaFaFaFaSisSo}  
[ext],  father(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 73
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=0, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 74
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 75
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 76
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 77
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaBroDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 78
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoMoFaSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 79
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoMoFa}  
[ext],  mother(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 80
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoMoSisHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 81
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoMoFa}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 82
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoMoFaSisHu}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 83
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoMoFaFa}  
[ext],  mother(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 84
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {MoFaSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 85
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 86
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaMoSisDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 87
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 88
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {MoFaFaSisDaHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 89
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {MoFaFa}  
[ext],  mother(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 90
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaMoSisHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 91
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaMoFa}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 92
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {MoFaFaSisHu}  
[ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 93
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {MoFaFaFa}  
[ext],  mother(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 94
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 95
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoBroDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 96
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoMoSisDaHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 97
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaBroDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 98
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaMoFaSisDaHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 99
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaMoFa}  
[ext],  father(A, Ego), mother(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 100
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoMoSisHu}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 101
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoMoFa}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 102
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaMoFaSisHu}  
[ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 103
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaMoFaFa}  
[ext],  father(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 104
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {FaFaSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Alter, E), male(Alter).
;; 105
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoBroDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 106
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaMoSisDaHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 107
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaBroDaHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Alter, G), male(Alter).
;; 108
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {FaFaFaSisDaHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Alter, G), male(Alter).
;; 109
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {FaFaFa}  
[ext],  father(A, Ego), father(B, A), parent(C, B), spouse(Alter, C), male(Alter).
;; 110
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaMoSisHu}  
[ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 111
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaMoFa}  
[ext],  father(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 112
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {FaFaFaSisHu}  
[ext],  father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 113
%jinecuyo:0, grandparent[aux]11es:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {FaFaFaFa}  
[ext],  father(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 114
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {HuMoFa}  
 husband(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 115
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {HuFaFa}  
 husband(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 116
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 117
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 118
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 119
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 120
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoMoFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 121
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 122
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoMoBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 123
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 124
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 125
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 126
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuMoFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 127
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 128
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaMoSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 129
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaBroSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 130
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuMoFaFaSisSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 131
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 132
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaMoBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 133
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 134
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuMoFaFaBro}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 135
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 136
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 137
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 138
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoMoSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 139
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaBroSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 140
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaMoFaSisSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 141
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 142
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoMoBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 143
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 144
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaMoFaBro}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 145
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 146
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {HuFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 147
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 148
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaMoSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 149
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaBroSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 150
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {HuFaFaFaSisSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 151
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 152
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaMoBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 153
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 154
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {HuFaFaFaBro}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 155
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 156
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 157
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 158
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 159
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoMoFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 160
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 161
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 162
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuMoFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 163
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuMoFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 164
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaMoSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 165
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaMoFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 166
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuMoFaFaSisHu}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 167
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuMoFaFaFa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 168
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 169
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 170
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoMoSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 171
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoMoFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 172
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaMoFaSisHu}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 173
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaMoFaFa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 174
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {HuFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 175
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {HuFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 176
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaMoSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 177
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaMoFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 178
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {HuFaFaFaSisHu}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 179
%jinecuyo:0, grandparent[aux]11es:1, spice:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {HuFaFaFaFa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 180
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:0%
 Lvl=2,  PC=2, S=1, Star=0,  {WiMoFa}  
 wife(A, Ego), mother(B, A), parent(Alter, B), male(Alter).
;; 181
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:0, parents:1%
 Lvl=2,  PC=2, S=1, Star=0,  {WiFaFa}  
 wife(A, Ego), father(B, A), parent(Alter, B), male(Alter).
;; 182
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 183
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 184
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 185
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 186
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoMoFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 187
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 188
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoMoBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 189
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 190
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 191
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 192
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiMoFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 193
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 194
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaMoSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 195
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaBroSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 196
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiMoFaFaSisSo}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 197
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 198
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaMoBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 199
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 200
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiMoFaFaBro}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 201
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 202
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 203
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 204
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoMoSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 205
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaBroSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 206
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaMoFaSisSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 207
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(Alter, C), male(Alter).
;; 208
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoMoBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 209
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 210
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaMoFaBro}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 211
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 212
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=1, Star=0,  {WiFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(Alter, D), child(Alter, E), not(equal(Alter, C)), male(Alter).
;; 213
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 214
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaMoSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 215
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaBroSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G), male(Alter).
;; 216
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=2,  PC=8, S=1, Star=0,  {WiFaFaFaSisSo}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Alter, G), male(Alter).
;; 217
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=1, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(Alter, C), male(Alter).
;; 218
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaMoBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 219
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(Alter, D), male(Alter).
;; 220
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=1, Star=0,  {WiFaFaFaBro}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 221
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=1, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(Alter, D), male(Alter).
;; 222
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 223
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 224
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 225
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoMoFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 226
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 227
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 228
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiMoFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 229
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiMoFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 230
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaMoSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 231
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaMoFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 232
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiMoFaFaSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 233
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiMoFaFaFa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 234
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 235
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 236
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoMoSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 237
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoMoFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 238
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaMoFaSisHu}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 239
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaMoFaFa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 240
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=2,  PC=6, S=2, Star=0,  {WiFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Alter, F), male(Alter).
;; 241
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=3,  PC=3, S=2, Star=0,  {WiFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), parent(D, C), spouse(Alter, D), male(Alter).
;; 242
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaMoSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 243
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaMoFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Alter, E), male(Alter).
;; 244
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=3,  PC=7, S=2, Star=0,  {WiFaFaFaSisHu}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Alter, G), male(Alter).
;; 245
%jinecuyo:0, grandparent[aux]11es:1, spice:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=4,  PC=4, S=2, Star=0,  {WiFaFaFaFa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Alter, E), male(Alter).


jipaco(Alter, Ego) :-  mother(Alter, Ego).
{"Mo"}
;; 0
%jipaco:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Mo}  
 mother(Alter, Ego).


jipacoi_marepacu(Alter, Ego) :-  step_father(Alter, Ego).
{"Stfa"}
;; 0
%jipacoi_marepacu:0, step_father:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stfa}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


jipacomaco(Alter, Ego) :-  mother(A, Ego), parallel_gen[aux]11(A, Alter).
                       |  [ext],  father(A, Ego), parallel_gen[aux]11(A, B), wife(Alter, B).
{"FaBroWi_FaFaBroSoWi_FaFaBroStsoWi_FaFaHbroSoWi_FaFaHbroStsoWi_FaHbroWi_FaMoHsisSoWi_FaMoHsisStsoWi_FaMoSisSoWi_FaMoSisStsoWi_MoFaBroDa_MoFaBroStda_MoFaHbroDa_MoHsis_MoMoHsisDa_MoMoSisDa_MoMoSisStda_MoSis"}
;; 0
%jipacomaco:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoSis}  
 mother(A, Ego), mother(B, Alter), father(C, Alter), child(A, B), child(A, C), not(equal(A, Alter)), gender(D, A), gender(D, Alter).
;; 1
%jipacomaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoSisDa}  
[ext],  mother(A, Ego), mother(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 2
%jipacomaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {MoMoHsisDa}  
[ext], [ext],  mother(A, Ego), mother(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 3
%jipacomaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {MoMoHsisDa}  
[ext], [ext],  mother(A, Ego), mother(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 4
%jipacomaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaBroDa}  
[ext],  mother(A, Ego), father(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 5
%jipacomaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {MoFaHbroDa}  
[ext], [ext],  mother(A, Ego), father(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 6
%jipacomaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {MoFaHbroDa}  
[ext], [ext],  mother(A, Ego), father(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 7
%jipacomaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=2, Star=0,  {MoHsis}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 8
%jipacomaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=2, Star=0,  {MoHsis}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 9
%jipacomaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoSisStda}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 10
%jipacomaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaBroStda}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 11
%jipacomaco:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
[ext],  father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, A), gender(E, C), wife(Alter, C).
;; 12
%jipacomaco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), wife(Alter, C).
;; 13
%jipacomaco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 14
%jipacomaco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext], [ext],  father(A, Ego), mother(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 15
%jipacomaco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext], [ext],  father(A, Ego), father(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), wife(Alter, C).
;; 16
%jipacomaco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext], [ext],  father(A, Ego), father(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 17
%jipacomaco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext], [ext],  father(A, Ego), father(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), wife(Alter, C).
;; 18
%jipacomaco:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), wife(Alter, E).
;; 19
%jipacomaco:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), wife(Alter, E).
;; 20
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaMoSisStsoWi}  
[ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), wife(Alter, E).
;; 21
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {FaMoHsisStsoWi}  
[ext], [ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 22
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {FaMoHsisStsoWi}  
[ext], [ext], [ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 23
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaFaBroStsoWi}  
[ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), wife(Alter, E).
;; 24
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {FaFaHbroStsoWi}  
[ext], [ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).
;; 25
%jipacomaco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {FaFaHbroStsoWi}  
[ext], [ext], [ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), wife(Alter, E).


jipacu(Alter, Ego) :-  father(Alter, Ego).
{"Fa"}
;; 0
%jipacu:0%
 Lvl=1,  PC=1, S=0, Star=0,  {Fa}  
 father(Alter, Ego).


jipacui_marepaco(Alter, Ego) :-  step_mother(Alter, Ego).
{"Stmo"}
;; 0
%jipacui_marepaco:0, step_mother:0%
 Lvl=1,  PC=2, S=1, Star=0,  {Stmo}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


jipacumacu(Alter, Ego) :-  father(A, Ego), parallel_gen[aux]11(A, Alter).
                       |  [ext],  mother(A, Ego), parallel_gen[aux]11(A, B), husband(Alter, B).
{"FaBro_FaFaBroSo_FaFaBroStso_FaFaHbroSo_FaHbro_FaMoHsisSo_FaMoSisSo_FaMoSisStso_MoFaBroDaHu_MoFaBroStdaHu_MoFaHbroDaHu_MoFaHbroStdaHu_MoHsisHu_MoMoHsisDaHu_MoMoHsisStdaHu_MoMoSisDaHu_MoMoSisStdaHu_MoSisHu"}
;; 0
%jipacumacu:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaBro}  
 father(A, Ego), mother(B, Alter), father(C, Alter), child(A, B), child(A, C), not(equal(A, Alter)), gender(D, A), gender(D, Alter).
;; 1
%jipacumacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoSisSo}  
[ext],  father(A, Ego), mother(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 2
%jipacumacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {FaMoHsisSo}  
[ext], [ext],  father(A, Ego), mother(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 3
%jipacumacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {FaMoHsisSo}  
[ext], [ext],  father(A, Ego), mother(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 4
%jipacumacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaBroSo}  
[ext],  father(A, Ego), father(B, Alter), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(A, E), gender(G, A), gender(G, Alter).
;; 5
%jipacumacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=2, Star=0,  {FaFaHbroSo}  
[ext], [ext],  father(A, Ego), father(B, Alter), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 6
%jipacumacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=2, Star=0,  {FaFaHbroSo}  
[ext], [ext],  father(A, Ego), father(B, Alter), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, Alter).
;; 7
%jipacumacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=2, Star=0,  {FaHbro}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 8
%jipacumacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=2, Star=0,  {FaHbro}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), child(A, C), gender(E, A), gender(E, Alter).
;; 9
%jipacumacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoSisStso}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 10
%jipacumacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaBroStso}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(Alter, D), child(Alter, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(A, G), gender(I, A), gender(I, Alter).
;; 11
%jipacumacu:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
[ext],  mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, A), gender(E, C), husband(Alter, C).
;; 12
%jipacumacu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), husband(Alter, C).
;; 13
%jipacumacu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 14
%jipacumacu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 15
%jipacumacu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, C), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(A, F), gender(H, A), gender(H, C), husband(Alter, C).
;; 16
%jipacumacu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, C), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 17
%jipacumacu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext], [ext],  mother(A, Ego), father(B, C), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(A, G), gender(I, A), gender(I, C), husband(Alter, C).
;; 18
%jipacumacu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), husband(Alter, E).
;; 19
%jipacumacu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), child(A, C), gender(F, A), gender(F, E), husband(Alter, E).
;; 20
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoMoSisStdaHu}  
[ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), husband(Alter, E).
;; 21
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {MoMoHsisStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 22
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {MoMoHsisStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 23
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoFaBroStdaHu}  
[ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), mother(F, C), father(G, C), child(H, F), child(H, G), not(equal(H, C)), gender(I, H), gender(I, C), child(A, H), gender(J, A), gender(J, E), husband(Alter, E).
;; 24
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=7, S=5, Star=0,  {MoFaHbroStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), husband(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).
;; 25
%jipacumacu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=7, S=5, Star=0,  {MoFaHbroStdaHu}  
[ext], [ext], [ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(E, D), child(E, B), wife(F, G), spouse(H, F), not(equal(G, H)), child(C, H), child(C, F), child(I, G), gender(J, I), gender(J, C), child(A, I), gender(K, A), gender(K, E), husband(Alter, E).


jiparameco(Alter, Ego) :-  grandparent[aux]11(Ego, Alter), male(Ego), female(Alter).
                       |   grandparent[aux]11(Ego, Alter), female(Ego), female(Alter).
{"BroDaDa_BroDaDaDa_BroDaDaSoWi_BroDaSoDa_BroDaSoSoWi_BroDaSoWi_BroSoDa_BroSoDaDa_BroSoDaSoWi_BroSoSoDa_BroSoSoSoWi_BroSoSoWi_DaDa_DaDaDa_DaDaDaDa_DaDaDaSoWi_DaDaSoDa_DaDaSoSoWi_DaDaSoWi_DaSoDa_DaSoDaDa_DaSoDaSoWi_DaSoSoDa_DaSoSoSoWi_DaSoSoWi_DaSoWi_FaBroDaDaDa_FaBroDaDaDaDa_FaBroDaDaSoDa_FaBroDaDaSoWi_FaBroDaSoDa_FaBroDaSoDaDa_FaBroDaSoSoDa_FaBroDaSoSoWi_FaBroSoDaDa_FaBroSoDaDaDa_FaBroSoDaSoDa_FaBroSoDaSoWi_FaBroSoSoDa_FaBroSoSoDaDa_FaBroSoSoSoDa_FaBroSoSoSoWi_FaSisDaDaDa_FaSisDaDaDaDa_FaSisDaDaSoDa_FaSisDaDaSoWi_FaSisDaSoDa_FaSisDaSoDaDa_FaSisDaSoSoDa_FaSisDaSoSoWi_FaSisSoDaDa_FaSisSoDaDaDa_FaSisSoDaSoDa_FaSisSoDaSoWi_FaSisSoSoDa_FaSisSoSoDaDa_FaSisSoSoSoDa_FaSisSoSoSoWi_HuBroDaDa_HuBroDaDaDa_HuBroDaDaSoWi_HuBroDaSoDa_HuBroDaSoSoWi_HuBroDaSoWi_HuBroSoDa_HuBroSoDaDa_HuBroSoDaSoWi_HuBroSoSoDa_HuBroSoSoSoWi_HuBroSoSoWi_HuFaBroDaDaDa_HuFaBroDaSoDa_HuFaBroSoDaDa_HuFaBroSoSoDa_HuFaSisDaDaDa_HuFaSisDaSoDa_HuFaSisSoDaDa_HuFaSisSoSoDa_HuMoBroDaDaDa_HuMoBroDaSoDa_HuMoBroSoDaDa_HuMoBroSoSoDa_HuMoSisDaDaDa_HuMoSisDaSoDa_HuMoSisSoDaDa_HuMoSisSoSoDa_HuSisDaDa_HuSisDaDaDa_HuSisDaDaSoWi_HuSisDaSoDa_HuSisDaSoSoWi_HuSisDaSoWi_HuSisSoDa_HuSisSoDaDa_HuSisSoDaSoWi_HuSisSoSoDa_HuSisSoSoSoWi_HuSisSoSoWi_MoBroDaDaDa_MoBroDaDaDaDa_MoBroDaDaSoDa_MoBroDaDaSoWi_MoBroDaSoDa_MoBroDaSoDaDa_MoBroDaSoSoDa_MoBroDaSoSoWi_MoBroSoDaDa_MoBroSoDaDaDa_MoBroSoDaSoDa_MoBroSoDaSoWi_MoBroSoSoDa_MoBroSoSoDaDa_MoBroSoSoSoDa_MoBroSoSoSoWi_MoSisDaDaDa_MoSisDaDaDaDa_MoSisDaDaSoDa_MoSisDaDaSoWi_MoSisDaSoDa_MoSisDaSoDaDa_MoSisDaSoSoDa_MoSisDaSoSoWi_MoSisSoDaDa_MoSisSoDaDaDa_MoSisSoDaSoDa_MoSisSoDaSoWi_MoSisSoSoDa_MoSisSoSoDaDa_MoSisSoSoSoDa_MoSisSoSoSoWi_SisDaDa_SisDaDaDa_SisDaDaSoWi_SisDaSoDa_SisDaSoSoWi_SisDaSoWi_SisSoDa_SisSoDaDa_SisSoDaSoWi_SisSoSoDa_SisSoSoSoWi_SisSoSoWi_SoDa_SoDaDa_SoDaDaDa_SoDaDaSoWi_SoDaSoDa_SoDaSoSoWi_SoDaSoWi_SoSoDa_SoSoDaDa_SoSoDaSoWi_SoSoSoDa_SoSoSoSoWi_SoSoSoWi_SoSoWi_WiBroDaDa_WiBroDaDaDa_WiBroDaDaSoWi_WiBroDaSoDa_WiBroDaSoSoWi_WiBroDaSoWi_WiBroSoDa_WiBroSoDaDa_WiBroSoDaSoWi_WiBroSoSoDa_WiBroSoSoSoWi_WiBroSoSoWi_WiFaBroDaDaDa_WiFaBroDaSoDa_WiFaBroSoDaDa_WiFaBroSoSoDa_WiFaSisDaDaDa_WiFaSisDaSoDa_WiFaSisSoDaDa_WiFaSisSoSoDa_WiMoBroDaDaDa_WiMoBroDaSoDa_WiMoBroSoDaDa_WiMoBroSoSoDa_WiMoSisDaDaDa_WiMoSisDaSoDa_WiMoSisSoDaDa_WiMoSisSoSoDa_WiSisDaDa_WiSisDaDaDa_WiSisDaDaSoWi_WiSisDaSoDa_WiSisDaSoSoWi_WiSisDaSoWi_WiSisSoDa_WiSisSoDaDa_WiSisSoDaSoWi_WiSisSoSoDa_WiSisSoSoSoWi_WiSisSoSoWi"}
;; 0
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), parent(Ego, A), male(Ego), female(Alter).
;; 1
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), parent(Ego, A), male(Ego), female(Alter).
;; 2
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 3
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 4
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 5
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 6
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 7
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 8
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 9
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 10
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 11
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 12
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 13
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 14
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 15
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 16
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 17
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 18
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 19
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 20
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 21
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 22
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 23
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 24
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 25
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 26
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 27
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 28
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 29
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 30
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 31
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 32
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 33
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 34
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 35
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 36
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 37
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 38
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 39
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 40
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 41
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 42
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 43
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 44
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 45
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 46
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 47
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 48
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 49
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 50
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 51
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 52
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 53
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 54
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 55
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 56
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), female(Alter).
;; 57
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 58
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 59
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), female(Alter).
;; 60
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), female(Alter).
;; 61
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 62
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 63
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 64
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 65
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 66
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 67
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 68
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 69
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 70
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 71
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 72
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 73
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 74
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 75
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 76
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 77
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 78
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 79
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 80
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 81
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 82
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 83
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 84
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 85
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 86
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 87
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 88
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 89
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 90
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 91
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 92
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 93
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 94
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 95
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 96
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 97
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 98
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 99
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 100
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 101
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 102
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 103
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 104
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), female(Alter).
;; 105
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 106
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 107
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 108
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), female(Alter).
;; 109
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), female(Alter).
;; 110
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 111
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 112
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 113
%jiparameco:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 114
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaSoWi}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 115
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoSoWi}  
 spouse(A, Alter), father(B, A), parent(Ego, B), male(Ego), female(Alter).
;; 116
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 117
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 118
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 119
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 120
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 121
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 122
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 123
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 124
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 125
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 126
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 127
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 128
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 129
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 130
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 131
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 132
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 133
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 134
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 135
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 136
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 137
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 138
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 139
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 140
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 141
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 142
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 143
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 144
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 145
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 146
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), female(Alter).
;; 147
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 148
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 149
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), female(Alter).
;; 150
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), female(Alter).
;; 151
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), female(Alter).
;; 152
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 153
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 154
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), female(Alter).
;; 155
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), female(Alter).
;; 156
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 157
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 158
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 159
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 160
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 161
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 162
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 163
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 164
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 165
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 166
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 167
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 168
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 169
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 170
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 171
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 172
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 173
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 174
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), female(Alter).
;; 175
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), female(Alter).
;; 176
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 177
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 178
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), female(Alter).
;; 179
%jiparameco:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), female(Alter).
;; 180
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaDa}  
 mother(A, Alter), parent(Ego, A), female(Ego), female(Alter).
;; 181
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoDa}  
 father(A, Alter), parent(Ego, A), female(Ego), female(Alter).
;; 182
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 183
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 184
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 185
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 186
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 187
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 188
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 189
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 190
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 191
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 192
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 193
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 194
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 195
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 196
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 197
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 198
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 199
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 200
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 201
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 202
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 203
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 204
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 205
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 206
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 207
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 208
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 209
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 210
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 211
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 212
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 213
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 214
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 215
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 216
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 217
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 218
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 219
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 220
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 221
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 222
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 223
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 224
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 225
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 226
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 227
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 228
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 229
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 230
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 231
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 232
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 233
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 234
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 235
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 236
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), female(Alter).
;; 237
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 238
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 239
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), female(Alter).
;; 240
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), female(Alter).
;; 241
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 242
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 243
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 244
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 245
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 246
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 247
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 248
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 249
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 250
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 251
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 252
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 253
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 254
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 255
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 256
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 257
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 258
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 259
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDa}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 260
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 261
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 262
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 263
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 264
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 265
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 266
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 267
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 268
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 269
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDa}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 270
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 271
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDa}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 272
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 273
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDa}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 274
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 275
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 276
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 277
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 278
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 279
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDa}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 280
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 281
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDa}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 282
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 283
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDa}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 284
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), female(Alter).
;; 285
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 286
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 287
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 288
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), female(Alter).
;; 289
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDa}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), female(Alter).
;; 290
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 291
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDa}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 292
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 293
%jiparameco:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDa}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 294
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaSoWi}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 295
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoSoWi}  
 spouse(A, Alter), father(B, A), parent(Ego, B), female(Ego), female(Alter).
;; 296
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 297
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 298
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 299
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 300
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 301
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 302
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 303
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 304
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 305
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 306
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 307
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 308
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 309
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 310
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 311
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 312
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 313
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 314
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 315
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 316
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 317
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 318
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 319
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 320
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 321
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 322
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 323
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 324
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 325
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 326
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), female(Alter).
;; 327
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 328
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 329
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), female(Alter).
;; 330
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), female(Alter).
;; 331
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), female(Alter).
;; 332
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 333
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 334
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), female(Alter).
;; 335
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), female(Alter).
;; 336
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 337
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 338
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 339
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 340
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 341
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 342
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 343
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 344
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 345
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 346
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 347
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 348
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 349
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 350
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 351
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 352
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 353
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 354
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), female(Alter).
;; 355
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), female(Alter).
;; 356
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 357
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).
;; 358
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), female(Alter).
;; 359
%jiparameco:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), female(Alter).


jiparamecu(Alter, Ego) :-  grandparent[aux]11(Ego, Alter), male(Ego), male(Alter).
                       |   grandparent[aux]11(Ego, Alter), female(Ego), male(Alter).
{"BroDaDaDaHu_BroDaDaHu_BroDaDaSo_BroDaSo_BroDaSoDaHu_BroDaSoSo_BroSoDaDaHu_BroSoDaHu_BroSoDaSo_BroSoSo_BroSoSoDaHu_BroSoSoSo_DaDaDaDaHu_DaDaDaHu_DaDaDaSo_DaDaHu_DaDaSo_DaDaSoDaHu_DaDaSoSo_DaSo_DaSoDaDaHu_DaSoDaHu_DaSoDaSo_DaSoSo_DaSoSoDaHu_DaSoSoSo_FaBroDaDaDaHu_FaBroDaDaDaSo_FaBroDaDaSo_FaBroDaDaSoSo_FaBroDaSoDaHu_FaBroDaSoDaSo_FaBroDaSoSo_FaBroDaSoSoSo_FaBroSoDaDaHu_FaBroSoDaDaSo_FaBroSoDaSo_FaBroSoDaSoSo_FaBroSoSoDaHu_FaBroSoSoDaSo_FaBroSoSoSo_FaBroSoSoSoSo_FaSisDaDaDaHu_FaSisDaDaDaSo_FaSisDaDaSo_FaSisDaDaSoSo_FaSisDaSoDaHu_FaSisDaSoDaSo_FaSisDaSoSo_FaSisDaSoSoSo_FaSisSoDaDaHu_FaSisSoDaDaSo_FaSisSoDaSo_FaSisSoDaSoSo_FaSisSoSoDaHu_FaSisSoSoDaSo_FaSisSoSoSo_FaSisSoSoSoSo_HuBroDaDaDaHu_HuBroDaDaHu_HuBroDaDaSo_HuBroDaSo_HuBroDaSoDaHu_HuBroDaSoSo_HuBroSoDaDaHu_HuBroSoDaHu_HuBroSoDaSo_HuBroSoSo_HuBroSoSoDaHu_HuBroSoSoSo_HuFaBroDaDaSo_HuFaBroDaSoSo_HuFaBroSoDaSo_HuFaBroSoSoSo_HuFaSisDaDaSo_HuFaSisDaSoSo_HuFaSisSoDaSo_HuFaSisSoSoSo_HuMoBroDaDaSo_HuMoBroDaSoSo_HuMoBroSoDaSo_HuMoBroSoSoSo_HuMoSisDaDaSo_HuMoSisDaSoSo_HuMoSisSoDaSo_HuMoSisSoSoSo_HuSisDaDaDaHu_HuSisDaDaHu_HuSisDaDaSo_HuSisDaSo_HuSisDaSoDaHu_HuSisDaSoSo_HuSisSoDaDaHu_HuSisSoDaHu_HuSisSoDaSo_HuSisSoSo_HuSisSoSoDaHu_HuSisSoSoSo_MoBroDaDaDaHu_MoBroDaDaDaSo_MoBroDaDaSo_MoBroDaDaSoSo_MoBroDaSoDaHu_MoBroDaSoDaSo_MoBroDaSoSo_MoBroDaSoSoSo_MoBroSoDaDaHu_MoBroSoDaDaSo_MoBroSoDaSo_MoBroSoDaSoSo_MoBroSoSoDaHu_MoBroSoSoDaSo_MoBroSoSoSo_MoBroSoSoSoSo_MoSisDaDaDaHu_MoSisDaDaDaSo_MoSisDaDaSo_MoSisDaDaSoSo_MoSisDaSoDaHu_MoSisDaSoDaSo_MoSisDaSoSo_MoSisDaSoSoSo_MoSisSoDaDaHu_MoSisSoDaDaSo_MoSisSoDaSo_MoSisSoDaSoSo_MoSisSoSoDaHu_MoSisSoSoDaSo_MoSisSoSoSo_MoSisSoSoSoSo_SisDaDaDaHu_SisDaDaHu_SisDaDaSo_SisDaSo_SisDaSoDaHu_SisDaSoSo_SisSoDaDaHu_SisSoDaHu_SisSoDaSo_SisSoSo_SisSoSoDaHu_SisSoSoSo_SoDaDaDaHu_SoDaDaHu_SoDaDaSo_SoDaHu_SoDaSo_SoDaSoDaHu_SoDaSoSo_SoSo_SoSoDaDaHu_SoSoDaHu_SoSoDaSo_SoSoSo_SoSoSoDaHu_SoSoSoSo_WiBroDaDaDaHu_WiBroDaDaHu_WiBroDaDaSo_WiBroDaSo_WiBroDaSoDaHu_WiBroDaSoSo_WiBroSoDaDaHu_WiBroSoDaHu_WiBroSoDaSo_WiBroSoSo_WiBroSoSoDaHu_WiBroSoSoSo_WiFaBroDaDaSo_WiFaBroDaSoSo_WiFaBroSoDaSo_WiFaBroSoSoSo_WiFaSisDaDaSo_WiFaSisDaSoSo_WiFaSisSoDaSo_WiFaSisSoSoSo_WiMoBroDaDaSo_WiMoBroDaSoSo_WiMoBroSoDaSo_WiMoBroSoSoSo_WiMoSisDaDaSo_WiMoSisDaSoSo_WiMoSisSoDaSo_WiMoSisSoSoSo_WiSisDaDaDaHu_WiSisDaDaHu_WiSisDaDaSo_WiSisDaSo_WiSisDaSoDaHu_WiSisDaSoSo_WiSisSoDaDaHu_WiSisSoDaHu_WiSisSoDaSo_WiSisSoSo_WiSisSoSoDaHu_WiSisSoSoSo"}
;; 0
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), parent(Ego, A), male(Ego), male(Alter).
;; 1
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), parent(Ego, A), male(Ego), male(Alter).
;; 2
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 3
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 4
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 5
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 6
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 7
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 8
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 9
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 10
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 11
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 12
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 13
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 14
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 15
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 16
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 17
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 18
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 19
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 20
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 21
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 22
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 23
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 24
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 25
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 26
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 27
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 28
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 29
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 30
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 31
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 32
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 33
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 34
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 35
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 36
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 37
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 38
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 39
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 40
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 41
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 42
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 43
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 44
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 45
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 46
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 47
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 48
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 49
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 50
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 51
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 52
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 53
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 54
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 55
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 56
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Ego), male(Alter).
;; 57
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 58
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 59
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Ego), male(Alter).
;; 60
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Ego), male(Alter).
;; 61
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 62
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 63
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 64
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 65
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 66
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 67
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 68
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 69
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 70
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 71
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 72
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 73
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 74
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 75
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 76
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 77
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 78
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 79
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 80
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 81
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 82
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 83
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 84
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 85
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 86
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 87
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 88
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 89
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 90
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 91
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 92
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 93
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 94
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 95
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 96
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 97
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 98
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 99
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 100
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 101
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 102
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 103
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 104
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {WiBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), male(Ego), male(Alter).
;; 105
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 106
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 107
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 108
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {WiMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), male(Ego), male(Alter).
;; 109
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), male(Ego), male(Alter).
;; 110
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 111
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 112
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {WiBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 113
%jiparamecu:0, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 114
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaDaHu}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 115
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoDaHu}  
 spouse(A, Alter), father(B, A), parent(Ego, B), male(Ego), male(Alter).
;; 116
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 117
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 118
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 119
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 120
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 121
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 122
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 123
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 124
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 125
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 126
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 127
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 128
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 129
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 130
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 131
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 132
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 133
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 134
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 135
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 136
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 137
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 138
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 139
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 140
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 141
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 142
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 143
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 144
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 145
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 146
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), male(Ego), male(Alter).
;; 147
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 148
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 149
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), male(Ego), male(Alter).
;; 150
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), male(Ego), male(Alter).
;; 151
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), male(Ego), male(Alter).
;; 152
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 153
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 154
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Ego), male(Alter).
;; 155
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), male(Ego), male(Alter).
;; 156
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 157
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 158
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 159
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 160
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 161
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 162
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 163
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 164
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 165
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 166
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 167
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 168
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 169
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 170
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 171
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 172
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 173
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 174
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {WiBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), male(Ego), male(Alter).
;; 175
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), male(Ego), male(Alter).
;; 176
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 177
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 178
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {WiBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), male(Ego), male(Alter).
;; 179
%jiparamecu:0, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), male(Ego), male(Alter).
;; 180
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=0, Star=0,  {DaSo}  
 mother(A, Alter), parent(Ego, A), female(Ego), male(Alter).
;; 181
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=0, Star=0,  {SoSo}  
 father(A, Alter), parent(Ego, A), female(Ego), male(Alter).
;; 182
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 183
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 184
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 185
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 186
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 187
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 188
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 189
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 190
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 191
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 192
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 193
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 194
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 195
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 196
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 197
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 198
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 199
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 200
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 201
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 202
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 203
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 204
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 205
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 206
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 207
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 208
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 209
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 210
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 211
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 212
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 213
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 214
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 215
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 216
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 217
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 218
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {SisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 219
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 220
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 221
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 222
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 223
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 224
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 225
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 226
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 227
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 228
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 229
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 230
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 231
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 232
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 233
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 234
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 235
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 236
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=0, Star=0,  {BroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Ego), male(Alter).
;; 237
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 238
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 239
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Ego), male(Alter).
;; 240
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Ego), male(Alter).
;; 241
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=0, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 242
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {SisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 243
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 244
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 245
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 246
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroDaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 247
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 248
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=0, Star=0,  {BroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 249
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 250
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoSisSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 251
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {FaBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 252
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-3,  PC=9, S=0, Star=0,  {MoBroSoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 253
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=0, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 254
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 255
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 256
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 257
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 258
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 259
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaSo}  
[ext],  mother(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 260
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 261
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 262
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 263
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 264
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 265
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 266
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 267
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 268
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 269
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaSo}  
[ext],  mother(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 270
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 271
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaSo}  
[ext],  mother(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 272
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 273
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaSo}  
[ext],  mother(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 274
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuSisSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 275
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 276
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 277
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 278
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 279
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoSo}  
[ext],  father(A, Alter), mother(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 280
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 281
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoSo}  
[ext],  father(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 282
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 283
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoSo}  
[ext],  father(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 284
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {HuBroSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), spouse(Ego, E), female(Ego), male(Alter).
;; 285
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 286
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 287
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuFaBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 288
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {HuMoBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(G, F), spouse(Ego, G), female(Ego), male(Alter).
;; 289
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoSo}  
[ext],  father(A, Alter), father(B, A), parent(C, B), spouse(Ego, C), female(Ego), male(Alter).
;; 290
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuSisSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 291
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoSo}  
[ext],  father(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 292
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {HuBroSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 293
%jiparamecu:1, grandparent[aux]11:0, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoSo}  
[ext],  father(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 294
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:0%
 Lvl=-2,  PC=2, S=1, Star=0,  {DaDaHu}  
 spouse(A, Alter), mother(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 295
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:0, parents:1%
 Lvl=-2,  PC=2, S=1, Star=0,  {SoDaHu}  
 spouse(A, Alter), father(B, A), parent(Ego, B), female(Ego), male(Alter).
;; 296
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 297
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 298
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 299
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 300
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 301
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 302
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 303
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 304
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 305
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 306
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 307
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 308
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 309
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 310
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 311
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 312
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 313
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 314
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 315
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 316
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {SisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 317
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 318
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 319
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 320
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 321
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 322
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 323
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 324
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 325
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 326
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=1, Star=0,  {BroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(Ego, D), child(Ego, E), not(equal(Ego, C)), female(Ego), male(Alter).
;; 327
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 328
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 329
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {FaBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Ego, G), female(Ego), male(Alter).
;; 330
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-2,  PC=8, S=1, Star=0,  {MoBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), female(G), child(Ego, G), female(Ego), male(Alter).
;; 331
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=1, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(Ego, C), female(Ego), male(Alter).
;; 332
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {SisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 333
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 334
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=1, Star=0,  {BroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Ego), male(Alter).
;; 335
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:1, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=1, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(Ego, D), female(Ego), male(Alter).
;; 336
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 337
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 338
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 339
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 340
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 341
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 342
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 343
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 344
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 345
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 346
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 347
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:0, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 348
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 349
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {DaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 350
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 351
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 352
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 353
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:0, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoDaSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 354
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-2,  PC=6, S=2, Star=0,  {HuBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), spouse(Ego, F), female(Ego), male(Alter).
;; 355
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:1%
 Lvl=-3,  PC=3, S=2, Star=0,  {SoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), parent(D, C), spouse(Ego, D), female(Ego), male(Alter).
;; 356
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuSisSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 357
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {DaSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).
;; 358
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=-3,  PC=7, S=2, Star=0,  {HuBroSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), spouse(Ego, G), female(Ego), male(Alter).
;; 359
%jiparamecu:1, grandparent[aux]11:1, grandparent[aux]11direct:2, parents:1, parents:1, square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=-4,  PC=4, S=2, Star=0,  {SoSoSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), father(D, C), parent(E, D), spouse(Ego, E), female(Ego), male(Alter).


jiparamoco(Alter, Ego) :-  female(Ego), cross_gen[aux]11gs(A, Ego), daughter(Alter, A).
                       |   husband(A, Ego), cross_gen[aux]11gs(B, A), daughter(Alter, B).
{"BroDa_FaFaBroDaDaDa_FaFaBroDaSoDa_FaFaFaBroSoDaDaDa_FaFaFaBroSoDaSoDa_FaFaFaHbroSoDaDaDa_FaFaFaHbroSoDaSoDa_FaFaHbroDaDaDa_FaFaHbroDaSoDa_FaFaMoHsisSoDaDaDa_FaFaMoHsisSoDaSoDa_FaFaMoSisSoDaDaDa_FaFaMoSisSoDaSoDa_FaFaSisDaDaDa_FaFaSisDaSoDa_FaFaSisSoDaDa_FaFaSisSoSoDa_FaMoBroDaDaDa_FaMoBroDaSoDa_FaMoBroSoDaDa_FaMoBroSoSoDa_FaMoFaBroDaDaDaDa_FaMoFaBroDaDaSoDa_FaMoFaHbroDaDaDaDa_FaMoFaHbroDaDaSoDa_FaMoHsisDaDaDa_FaMoHsisDaSoDa_FaMoMoHsisDaDaDaDa_FaMoMoHsisDaDaSoDa_FaMoMoSisDaDaDaDa_FaMoMoSisDaDaSoDa_FaMoSisDaDaDa_FaMoSisDaSoDa_FaSisDaDa_FaSisSoDa_HuFaFaBroDaDaDa_HuFaFaBroDaSoDa_HuFaFaHbroDaDaDa_HuFaFaHbroDaSoDa_HuFaMoHsisDaDaDa_HuFaMoHsisDaSoDa_HuFaMoSisDaDaDa_HuFaMoSisDaSoDa_HuFaSisDaDa_HuFaSisSoDa_HuMoBroDaDa_HuMoBroSoDa_HuMoFaBroSoDaDa_HuMoFaBroSoSoDa_HuMoFaHbroSoDaDa_HuMoFaHbroSoSoDa_HuMoMoHsisSoDaDa_HuMoMoHsisSoSoDa_HuMoMoSisSoDaDa_HuMoMoSisSoSoDa_HuSisDa_MoBroDaDa_MoBroSoDa_MoFaBroSoDaDa_MoFaBroSoSoDa_MoFaFaBroSoSoDaDa_MoFaFaBroSoSoSoDa_MoFaFaHbroSoSoDaDa_MoFaFaHbroSoSoSoDa_MoFaHbroSoDaDa_MoFaHbroSoSoDa_MoFaMoHsisSoSoDaDa_MoFaMoHsisSoSoSoDa_MoFaMoSisSoSoDaDa_MoFaMoSisSoSoSoDa_MoFaSisDaDaDa_MoFaSisDaSoDa_MoFaSisSoDaDa_MoFaSisSoSoDa_MoMoBroDaDaDa_MoMoBroDaSoDa_MoMoBroSoDaDa_MoMoBroSoSoDa_MoMoFaBroDaSoDaDa_MoMoFaBroDaSoSoDa_MoMoFaHbroDaSoDaDa_MoMoFaHbroDaSoSoDa_MoMoHsisSoDaDa_MoMoHsisSoSoDa_MoMoMoHsisDaSoDaDa_MoMoMoHsisDaSoSoDa_MoMoMoSisDaSoDaDa_MoMoMoSisDaSoSoDa_MoMoSisSoDaDa_MoMoSisSoSoDa"}
;; 0
%jiparamoco:0, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), daughter(Alter, C).
;; 1
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(Alter, G).
;; 2
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(Alter, G).
;; 3
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(Alter, G).
;; 4
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(Alter, G).
;; 5
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 6
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 7
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 8
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 9
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 10
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 11
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 12
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 13
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 14
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 15
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 16
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 17
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 18
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 19
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 20
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 21
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 22
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 23
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 24
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 25
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 26
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 27
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 28
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 29
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 30
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 31
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 32
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 33
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 34
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 35
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 36
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 37
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 38
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 39
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 40
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 41
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 42
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 43
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 44
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 45
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 46
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 47
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 48
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 49
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 50
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 51
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 52
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 53
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 54
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 55
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 56
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 57
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 58
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 59
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 60
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 61
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 62
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 63
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 64
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 65
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 66
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 67
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 68
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 69
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 70
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 71
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 72
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 73
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 74
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 75
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 76
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaDa}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 77
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 78
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 79
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 80
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 81
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 82
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 83
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 84
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 85
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 86
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 87
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 88
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 89
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 90
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 91
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 92
%jiparamoco:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 93
%jiparamoco:1, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(F, D), not(equal(E, F)), daughter(Alter, D).
;; 94
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 95
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 96
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 97
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 98
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoMoSisSoSoDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 99
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoMoSisSoDaDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 100
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 101
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 102
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 103
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 104
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoFaBroSoSoDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 105
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoFaBroSoDaDa}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 106
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 107
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 108
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 109
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoDaDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 110
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaMoSisDaSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 111
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaMoSisDaDaDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 112
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 113
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 114
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 115
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 116
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaFaBroDaSoDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 117
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaFaBroDaDaDa}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 118
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 119
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 120
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 121
%jiparamoco:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaDaDa}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).


jiparamocu(Alter, Ego) :-  female(Ego), cross_gen[aux]11gs(A, Ego), son(Alter, A).
                       |   husband(A, Ego), cross_gen[aux]11gs(B, A), son(Alter, B).
{"BroSo_FaFaBroDaDaSo_FaFaBroDaSoSo_FaFaFaBroSoDaDaSo_FaFaFaBroSoDaSoSo_FaFaFaHbroSoDaDaSo_FaFaFaHbroSoDaSoSo_FaFaHbroDaDaSo_FaFaHbroDaSoSo_FaFaMoHsisSoDaDaSo_FaFaMoHsisSoDaSoSo_FaFaMoSisSoDaDaSo_FaFaMoSisSoDaSoSo_FaFaSisDaDaSo_FaFaSisDaSoSo_FaFaSisSoDaSo_FaFaSisSoSoSo_FaMoBroDaDaSo_FaMoBroDaSoSo_FaMoBroSoDaSo_FaMoBroSoSoSo_FaMoFaBroDaDaDaSo_FaMoFaBroDaDaSoSo_FaMoFaHbroDaDaDaSo_FaMoFaHbroDaDaSoSo_FaMoHsisDaDaSo_FaMoHsisDaSoSo_FaMoMoHsisDaDaDaSo_FaMoMoHsisDaDaSoSo_FaMoMoSisDaDaDaSo_FaMoMoSisDaDaSoSo_FaMoSisDaDaSo_FaMoSisDaSoSo_FaSisDaSo_FaSisSoSo_HuFaFaBroDaDaSo_HuFaFaBroDaSoSo_HuFaFaHbroDaDaSo_HuFaFaHbroDaSoSo_HuFaMoHsisDaDaSo_HuFaMoHsisDaSoSo_HuFaMoSisDaDaSo_HuFaMoSisDaSoSo_HuFaSisDaSo_HuFaSisSoSo_HuMoBroDaSo_HuMoBroSoSo_HuMoFaBroSoDaSo_HuMoFaBroSoSoSo_HuMoFaHbroSoDaSo_HuMoFaHbroSoSoSo_HuMoMoHsisSoDaSo_HuMoMoHsisSoSoSo_HuMoMoSisSoDaSo_HuMoMoSisSoSoSo_HuSisSo_MoBroDaSo_MoBroSoSo_MoFaBroSoDaSo_MoFaBroSoSoSo_MoFaFaBroSoSoDaSo_MoFaFaBroSoSoSoSo_MoFaFaHbroSoSoDaSo_MoFaFaHbroSoSoSoSo_MoFaHbroSoDaSo_MoFaHbroSoSoSo_MoFaMoHsisSoSoDaSo_MoFaMoHsisSoSoSoSo_MoFaMoSisSoSoDaSo_MoFaMoSisSoSoSoSo_MoFaSisDaDaSo_MoFaSisDaSoSo_MoFaSisSoDaSo_MoFaSisSoSoSo_MoMoBroDaDaSo_MoMoBroDaSoSo_MoMoBroSoDaSo_MoMoBroSoSoSo_MoMoFaBroDaSoDaSo_MoMoFaBroDaSoSoSo_MoMoFaHbroDaSoDaSo_MoMoFaHbroDaSoSoSo_MoMoHsisSoDaSo_MoMoHsisSoSoSo_MoMoMoHsisDaSoDaSo_MoMoMoHsisDaSoSoSo_MoMoMoSisDaSoDaSo_MoMoMoSisDaSoSoSo_MoMoSisSoDaSo_MoMoSisSoSoSo"}
;; 0
%jiparamocu:0, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), son(Alter, C).
;; 1
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(Alter, G).
;; 2
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(Alter, G).
;; 3
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(Alter, G).
;; 4
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(Alter, G).
;; 5
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 6
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 7
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 8
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 9
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 10
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 11
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 12
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 13
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 14
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 15
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 16
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 17
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 18
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 19
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 20
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 21
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 22
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 23
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 24
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 25
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 26
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 27
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 28
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 29
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 30
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 31
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 32
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 33
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 34
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 35
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 36
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 37
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 38
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 39
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 40
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 41
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 42
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 43
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 44
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 45
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 46
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 47
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 48
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 49
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 50
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 51
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 52
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 53
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 54
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 55
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 56
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 57
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 58
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 59
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 60
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 61
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 62
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 63
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 64
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 65
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 66
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 67
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 68
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 69
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 70
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 71
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 72
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 73
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 74
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 75
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 76
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 77
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 78
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 79
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 80
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 81
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 82
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 83
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 84
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 85
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 86
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 87
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 88
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 89
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 90
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 91
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 92
%jiparamocu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 93
%jiparamocu:1, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuSisSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(F, D), not(equal(E, F)), son(Alter, D).
;; 94
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroSoSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 95
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoBroDaSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 96
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 97
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaSisDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 98
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoMoSisSoSoSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 99
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoMoSisSoDaSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 100
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 101
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 102
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 103
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoMoHsisSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 104
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoFaBroSoSoSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 105
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuMoFaBroSoDaSo}  
[ext],  husband(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 106
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 107
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 108
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 109
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuMoFaHbroSoDaSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 110
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaMoSisDaSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 111
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaMoSisDaDaSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 112
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 113
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 114
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 115
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaMoHsisDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 116
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaFaBroDaSoSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 117
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {HuFaFaBroDaDaSo}  
[ext],  husband(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 118
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 119
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 120
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 121
%jiparamocu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuFaFaHbroDaDaSo}  
[ext], [ext],  husband(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).


jiparimo(Alter, Ego) :-  father(A, Ego), cross_gen[aux]11(Alter, A), female(Alter).
                     |   father(A, Ego), parallel_gen[aux]11(B, A), wife(Alter, B).
                     |   spice(A, Ego), mother(Alter, A).
                     |   spice(A, Ego), step_mother(Alter, A).
{"FaBroWi_FaFaBroSoWi_FaFaFaFaHbroSoDaDa_FaFaFaHbroDaDa_FaFaFaMoHsisSoDaDa_FaFaHbroSoWi_FaFaMoFaHbroDaDaDa_FaFaMoHsisDaDa_FaFaMoMoHsisDaDaDa_FaFaSisDa_FaHbroWi_FaMoBroDa_FaMoFaFaHbroSoSoDa_FaMoFaHbroSoDa_FaMoFaMoHsisSoSoDa_FaMoHsisSoWi_FaMoMoFaHbroDaSoDa_FaMoMoHsisSoDa_FaMoMoMoHsisDaSoDa_FaMoSisSoWi_FaSis_FaStfaBroSoWi_FaStmoSisSoWi_HuMo_HuStmo_WiMo_WiStmo"}
;; 0
%jiparimo:0, cross_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {FaSis}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, A), gender(E, Alter), not(equal(D, E)), female(Alter).
;; 1
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaMoBroDa}  
[ext],  father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), female(Alter).
;; 2
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {FaFaSisDa}  
[ext],  father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), female(Alter).
;; 3
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 4
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 5
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 6
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 7
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoMoHsisSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 8
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoMoHsisSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 9
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 10
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 11
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 12
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaMoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  father(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 13
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoFaHbroSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 14
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaMoFaHbroSoDa}  
[ext], [ext],  father(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 15
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 16
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 17
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 18
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 19
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 20
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaMoHsisDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 21
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 22
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 23
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 24
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {FaFaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  father(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), female(Alter).
;; 25
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 26
%jiparimo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {FaFaFaHbroDaDa}  
[ext], [ext],  father(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), female(Alter).
;; 27
%jiparimo:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {FaBroWi}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), wife(Alter, D).
;; 28
%jiparimo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaMoSisSoWi}  
[ext],  father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 29
%jiparimo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 30
%jiparimo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaMoHsisSoWi}  
[ext], [ext],  father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 31
%jiparimo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {FaFaBroSoWi}  
[ext],  father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 32
%jiparimo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 33
%jiparimo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {FaFaHbroSoWi}  
[ext], [ext],  father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 34
%jiparimo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 35
%jiparimo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {FaHbroWi}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 36
%jiparimo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaStmoSisSoWi}  
[ext],  father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 37
%jiparimo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {FaStfaBroSoWi}  
[ext],  father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 38
%jiparimo:2, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 husband(A, Ego), mother(Alter, A).
;; 39
%jiparimo:2, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 wife(A, Ego), mother(Alter, A).
;; 40
%jiparimo:3, spice:0, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStmo}  
 husband(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).
;; 41
%jiparimo:3, spice:1, step_mother:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStmo}  
 wife(A, Ego), father(B, A), mother(C, A), wife(Alter, B), not(equal(Alter, C)).


jiparimu(Alter, Ego) :-  jipariyo(Alter, Ego).
;; 0
%jiparimu:0, jipariyo:0, cross_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, A), gender(E, Alter), not(equal(D, E)), male(Alter).
;; 1
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 2
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 3
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 4
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 5
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 6
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 7
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 8
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 9
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 10
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 11
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 12
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 13
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 14
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 15
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 16
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 17
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 18
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 19
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 20
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 21
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 22
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 23
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 24
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 25
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 26
%jiparimu:0, jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 27
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), husband(Alter, D).
;; 28
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 29
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 30
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 31
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 32
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 33
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 34
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 35
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 36
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 37
%jiparimu:0, jipariyo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 38
%jiparimu:0, jipariyo:2, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), father(Alter, A).
;; 39
%jiparimu:0, jipariyo:2, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), father(Alter, A).
;; 40
%jiparimu:0, jipariyo:3, spice:0, step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 41
%jiparimu:0, jipariyo:3, spice:1, step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).


jipariyo(Alter, Ego) :-  mother(A, Ego), cross_gen[aux]11(Alter, A), male(Alter).
                     |   mother(A, Ego), parallel_gen[aux]11(B, A), husband(Alter, B).
                     |   spice(A, Ego), father(Alter, A).
                     |   spice(A, Ego), step_father(Alter, A).
{"HuFa_HuStfa_MoBro_MoFaBroDaHu_MoFaFaFaHbroSoDaSo_MoFaFaHbroDaSo_MoFaFaMoHsisSoDaSo_MoFaHbroDaHu_MoFaMoFaHbroDaDaSo_MoFaMoHsisDaSo_MoFaMoMoHsisDaDaSo_MoFaSisSo_MoHsisHu_MoMoBroSo_MoMoFaFaHbroSoSoSo_MoMoFaHbroSoSo_MoMoFaMoHsisSoSoSo_MoMoHsisDaHu_MoMoMoFaHbroDaSoSo_MoMoMoHsisSoSo_MoMoMoMoHsisDaSoSo_MoMoSisDaHu_MoSisHu_MoStfaBroDaHu_MoStmoSisDaHu_WiFa_WiStfa"}
;; 0
%jipariyo:0, cross_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=0, Star=0,  {MoBro}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), gender(D, A), gender(E, Alter), not(equal(D, E)), male(Alter).
;; 1
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoMoBroSo}  
[ext],  mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 2
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=1,  PC=7, S=0, Star=0,  {MoFaSisSo}  
[ext],  mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), child(Alter, D), male(Alter).
;; 3
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 4
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 5
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 6
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 7
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 8
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoMoHsisSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 9
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 10
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 11
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 12
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoMoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 13
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 14
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoMoFaHbroSoSo}  
[ext], [ext],  mother(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 15
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 16
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 17
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 18
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 19
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaMoHsisDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 20
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaMoHsisDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 21
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 22
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 23
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 24
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=10, S=2, Star=0,  {MoFaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  mother(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), child(Alter, L), gender(M, B), gender(N, L), not(equal(M, N)), male(Alter).
;; 25
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaFaHbroDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 26
%jipariyo:0, cross_gen[aux]11:1, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=8, S=2, Star=0,  {MoFaFaHbroDaSo}  
[ext], [ext],  mother(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), child(Alter, I), gender(J, B), gender(K, I), not(equal(J, K)), male(Alter).
;; 27
%jipariyo:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {MoSisHu}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), husband(Alter, D).
;; 28
%jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoMoSisDaHu}  
[ext],  mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 29
%jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 30
%jipariyo:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoMoHsisDaHu}  
[ext], [ext],  mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 31
%jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {MoFaBroDaHu}  
[ext],  mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 32
%jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 33
%jipariyo:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=6, S=3, Star=0,  {MoFaHbroDaHu}  
[ext], [ext],  mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 34
%jipariyo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 35
%jipariyo:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=1,  PC=4, S=3, Star=0,  {MoHsisHu}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 36
%jipariyo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoStmoSisDaHu}  
[ext],  mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 37
%jipariyo:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=1,  PC=8, S=3, Star=0,  {MoStfaBroDaHu}  
[ext],  mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 38
%jipariyo:2, spice:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 husband(A, Ego), father(Alter, A).
;; 39
%jipariyo:2, spice:1%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 wife(A, Ego), father(Alter, A).
;; 40
%jipariyo:3, spice:0, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {HuStfa}  
 husband(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).
;; 41
%jipariyo:3, spice:1, step_father:0%
 Lvl=1,  PC=2, S=2, Star=0,  {WiStfa}  
 wife(A, Ego), father(B, A), mother(C, A), husband(Alter, C), not(equal(Alter, B)).


jitebuco(Alter, Ego) :-  husband(A, Ego), sibling(B, A), wife(Alter, B).
                     |  [ext],  husband(A, Ego), parallel_gen[aux]11(B, A), wife(Alter, B).
{"HuBroWi_HuFaBroSoWi_HuFaHbroSoWi_HuHbroWi_HuMoHsisSoWi_HuMoSisSoWi_HuStfaBroSoWi_HuStmoSisSoWi"}
;; 0
%jitebuco:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), wife(Alter, D).
;; 1
%jitebuco:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {HuBroWi}  
[ext],  husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), wife(Alter, D).
;; 2
%jitebuco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuMoSisSoWi}  
[ext], [ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 3
%jitebuco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {HuMoHsisSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 4
%jitebuco:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {HuMoHsisSoWi}  
[ext], [ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 5
%jitebuco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {HuFaBroSoWi}  
[ext], [ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), wife(Alter, G).
;; 6
%jitebuco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {HuFaHbroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 7
%jitebuco:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {HuFaHbroSoWi}  
[ext], [ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), wife(Alter, H).
;; 8
%jitebuco:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=4, Star=0,  {HuHbroWi}  
[ext], [ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 9
%jitebuco:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=4, Star=0,  {HuHbroWi}  
[ext], [ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), wife(Alter, E).
;; 10
%jitebuco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {HuStmoSisSoWi}  
[ext], [ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).
;; 11
%jitebuco:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {HuStfaBroSoWi}  
[ext], [ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), wife(Alter, I).


jitebucu(Alter, Ego) :-  wife(A, Ego), sibling(B, A), husband(Alter, B).
                     |  [ext],  wife(A, Ego), parallel_gen[aux]11(B, A), husband(Alter, B).
{"WiFaBroDaHu_WiFaHbroDaHu_WiHsisHu_WiMoHsisDaHu_WiMoSisDaHu_WiSisHu_WiStfaBroDaHu_WiStmoSisDaHu"}
;; 0
%jitebucu:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), husband(Alter, D).
;; 1
%jitebucu:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=2, Star=0,  {WiSisHu}  
[ext],  wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), husband(Alter, D).
;; 2
%jitebucu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiMoSisDaHu}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 3
%jitebucu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {WiMoHsisDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 4
%jitebucu:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {WiMoHsisDaHu}  
[ext], [ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 5
%jitebucu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=2, Star=0,  {WiFaBroDaHu}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), husband(Alter, G).
;; 6
%jitebucu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=4, Star=0,  {WiFaHbroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 7
%jitebucu:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=4, Star=0,  {WiFaHbroDaHu}  
[ext], [ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), husband(Alter, H).
;; 8
%jitebucu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=4, Star=0,  {WiHsisHu}  
[ext], [ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 9
%jitebucu:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=4, Star=0,  {WiHsisHu}  
[ext], [ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), husband(Alter, E).
;; 10
%jitebucu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {WiStmoSisDaHu}  
[ext], [ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).
;; 11
%jitebucu:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=4, Star=0,  {WiStfaBroDaHu}  
[ext], [ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), husband(Alter, I).


jiwaco(Alter, Ego) :-  male(Ego), in_law[aux]11(Alter, Ego), female(Alter).
                   |   female(Ego), in_law[aux]11(Alter, Ego), female(Alter).
                   |   in_law[aux]11(Ego, Alter), female(Alter).
{"BroSoWi_BroStsoWi_FaBroDaSoWi_FaBroDaStsoWi_FaBroSoSoWi_FaBroSoStsoWi_FaSisDaSoWi_FaSisDaStsoWi_FaSisSoSoWi_FaSisSoStsoWi_HuFaFaBroDa_HuFaFaSisDa_HuFaMoBroDa_HuFaMoSisDa_HuFaSis_HuMo_HuMoFaBroDa_HuMoFaSisDa_HuMoMoBroDa_HuMoMoSisDa_HuMoSis_HuStfaFaBroDa_HuStfaFaSisDa_HuStfaMoBroDa_HuStfaMoSisDa_HuStfaSis_HuStmo_HuStmoFaBroDa_HuStmoFaSisDa_HuStmoMoBroDa_HuStmoMoSisDa_HuStmoSis_MoBroDaSoWi_MoBroDaStsoWi_MoBroSoSoWi_MoBroSoStsoWi_MoSisDaSoWi_MoSisDaStsoWi_MoSisSoSoWi_MoSisSoStsoWi_SisSoWi_SisStsoWi_SoWi_StsoWi_WiFaFaBroDa_WiFaFaSisDa_WiFaMoBroDa_WiFaMoSisDa_WiFaSis_WiMo_WiMoFaBroDa_WiMoFaSisDa_WiMoMoBroDa_WiMoMoSisDa_WiMoSis_WiStfaFaBroDa_WiStfaFaSisDa_WiStfaMoBroDa_WiStfaMoSisDa_WiStfaSis_WiStmo_WiStmoFaBroDa_WiStmoFaSisDa_WiStmoMoBroDa_WiStmoMoSisDa_WiStmoSis"}
;; 0
%jiwaco:0, in_law[aux]11:0%
 Lvl=1,  PC=1, S=1, Star=0,  {WiMo}  
 male(Ego), spouse(A, Ego), parent(Alter, A), female(Alter).
;; 1
%jiwaco:0, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=1,  PC=2, S=3, Star=0,  {WiStmo}  
[ext],  male(Ego), spouse(A, Ego), spouse(B, Alter), spouse(C, B), not(equal(Alter, C)), child(A, C), child(A, B), female(Alter).
;; 2
%jiwaco:0, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoSis}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 3
%jiwaco:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroDa}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 4
%jiwaco:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisDa}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 5
%jiwaco:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroDa}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 6
%jiwaco:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisDa}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 7
%jiwaco:0, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaSis}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 8
%jiwaco:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 9
%jiwaco:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 10
%jiwaco:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 11
%jiwaco:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 12
%jiwaco:0, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaSis}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 13
%jiwaco:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 14
%jiwaco:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 15
%jiwaco:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 16
%jiwaco:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 17
%jiwaco:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStmoSis}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 18
%jiwaco:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoMoBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 19
%jiwaco:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoMoSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 20
%jiwaco:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoFaBroDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 21
%jiwaco:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoFaSisDa}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 22
%jiwaco:1, in_law[aux]11:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuMo}  
 female(Ego), spouse(A, Ego), parent(Alter, A), female(Alter).
;; 23
%jiwaco:1, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=1,  PC=2, S=3, Star=0,  {HuStmo}  
[ext],  female(Ego), spouse(A, Ego), spouse(B, Alter), spouse(C, B), not(equal(Alter, C)), child(A, C), child(A, B), female(Alter).
;; 24
%jiwaco:1, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoSis}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 25
%jiwaco:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroDa}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 26
%jiwaco:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisDa}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 27
%jiwaco:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroDa}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 28
%jiwaco:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisDa}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 29
%jiwaco:1, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaSis}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), female(Alter).
;; 30
%jiwaco:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 31
%jiwaco:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 32
%jiwaco:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), female(Alter).
;; 33
%jiwaco:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), female(Alter).
;; 34
%jiwaco:1, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaSis}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 35
%jiwaco:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 36
%jiwaco:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 37
%jiwaco:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 38
%jiwaco:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 39
%jiwaco:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStmoSis}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), female(Alter).
;; 40
%jiwaco:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoMoBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 41
%jiwaco:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoMoSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 42
%jiwaco:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoFaBroDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), female(Alter).
;; 43
%jiwaco:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoFaSisDa}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), female(Alter).
;; 44
%jiwaco:2, in_law[aux]11:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {SoWi}  
 spouse(A, Alter), parent(Ego, A), female(Alter).
;; 45
%jiwaco:2, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=-1,  PC=2, S=3, Star=0,  {StsoWi}  
[ext],  spouse(A, Alter), spouse(B, Ego), spouse(C, B), not(equal(Ego, C)), child(A, C), child(A, B), female(Alter).
;; 46
%jiwaco:2, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Alter).
;; 47
%jiwaco:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Alter).
;; 48
%jiwaco:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Alter).
;; 49
%jiwaco:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Alter).
;; 50
%jiwaco:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaSoWi}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Alter).
;; 51
%jiwaco:2, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), female(Alter).
;; 52
%jiwaco:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Alter).
;; 53
%jiwaco:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Alter).
;; 54
%jiwaco:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), female(Alter).
;; 55
%jiwaco:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoSoWi}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), female(Alter).
;; 56
%jiwaco:2, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {BroStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Alter).
;; 57
%jiwaco:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaSisSoStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), female(Alter).
;; 58
%jiwaco:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoSisSoStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), female(Alter).
;; 59
%jiwaco:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaBroSoStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), female(Alter).
;; 60
%jiwaco:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoBroSoStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), female(Alter).
;; 61
%jiwaco:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {SisStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), female(Alter).
;; 62
%jiwaco:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaSisDaStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), female(Alter).
;; 63
%jiwaco:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoSisDaStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), female(Alter).
;; 64
%jiwaco:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaBroDaStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), female(Alter).
;; 65
%jiwaco:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoBroDaStsoWi}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), female(Alter).


jiwacu(Alter, Ego) :-  male(Ego), in_law[aux]11(Alter, Ego), male(Alter).
                   |   female(Ego), in_law[aux]11(Alter, Ego), male(Alter).
                   |   in_law[aux]11(Ego, Alter), male(Alter).
{"BroDaHu_BroStdaHu_DaHu_FaBroDaDaHu_FaBroDaStdaHu_FaBroSoDaHu_FaBroSoStdaHu_FaSisDaDaHu_FaSisDaStdaHu_FaSisSoDaHu_FaSisSoStdaHu_HuFa_HuFaBro_HuFaFaBroSo_HuFaFaSisSo_HuFaMoBroSo_HuFaMoSisSo_HuMoBro_HuMoFaBroSo_HuMoFaSisSo_HuMoMoBroSo_HuMoMoSisSo_HuStfa_HuStfaBro_HuStfaFaBroSo_HuStfaFaSisSo_HuStfaMoBroSo_HuStfaMoSisSo_HuStmoBro_HuStmoFaBroSo_HuStmoFaSisSo_HuStmoMoBroSo_HuStmoMoSisSo_MoBroDaDaHu_MoBroDaStdaHu_MoBroSoDaHu_MoBroSoStdaHu_MoSisDaDaHu_MoSisDaStdaHu_MoSisSoDaHu_MoSisSoStdaHu_SisDaHu_SisStdaHu_StdaHu_WiFa_WiFaBro_WiFaFaBroSo_WiFaFaSisSo_WiFaMoBroSo_WiFaMoSisSo_WiMoBro_WiMoFaBroSo_WiMoFaSisSo_WiMoMoBroSo_WiMoMoSisSo_WiStfa_WiStfaBro_WiStfaFaBroSo_WiStfaFaSisSo_WiStfaMoBroSo_WiStfaMoSisSo_WiStmoBro_WiStmoFaBroSo_WiStmoFaSisSo_WiStmoMoBroSo_WiStmoMoSisSo"}
;; 0
%jiwacu:0, in_law[aux]11:0%
 Lvl=1,  PC=1, S=1, Star=0,  {WiFa}  
 male(Ego), spouse(A, Ego), parent(Alter, A), male(Alter).
;; 1
%jiwacu:0, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=1,  PC=2, S=3, Star=0,  {WiStfa}  
[ext],  male(Ego), spouse(A, Ego), spouse(B, Alter), spouse(C, B), not(equal(Alter, C)), child(A, C), child(A, B), male(Alter).
;; 2
%jiwacu:0, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiMoBro}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 3
%jiwacu:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoBroSo}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 4
%jiwacu:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoMoSisSo}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 5
%jiwacu:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaBroSo}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 6
%jiwacu:0, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiMoFaSisSo}  
[ext],  male(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 7
%jiwacu:0, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {WiFaBro}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 8
%jiwacu:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 9
%jiwacu:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaMoSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 10
%jiwacu:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 11
%jiwacu:0, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {WiFaFaSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 12
%jiwacu:0, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStfaBro}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 13
%jiwacu:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 14
%jiwacu:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaMoSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 15
%jiwacu:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 16
%jiwacu:0, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStfaFaSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 17
%jiwacu:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {WiStmoBro}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 18
%jiwacu:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoMoBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 19
%jiwacu:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoMoSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 20
%jiwacu:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoFaBroSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 21
%jiwacu:0, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {WiStmoFaSisSo}  
[ext],  male(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 22
%jiwacu:1, in_law[aux]11:0%
 Lvl=1,  PC=1, S=1, Star=0,  {HuFa}  
 female(Ego), spouse(A, Ego), parent(Alter, A), male(Alter).
;; 23
%jiwacu:1, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=1,  PC=2, S=3, Star=0,  {HuStfa}  
[ext],  female(Ego), spouse(A, Ego), spouse(B, Alter), spouse(C, B), not(equal(Alter, C)), child(A, C), child(A, B), male(Alter).
;; 24
%jiwacu:1, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuMoBro}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 25
%jiwacu:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoBroSo}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 26
%jiwacu:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoMoSisSo}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 27
%jiwacu:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaBroSo}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 28
%jiwacu:1, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuMoFaSisSo}  
[ext],  female(Ego), spouse(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 29
%jiwacu:1, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=5, S=1, Star=0,  {HuFaBro}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), father(D, B), child(Alter, C), child(Alter, D), not(equal(Alter, B)), male(Alter).
;; 30
%jiwacu:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 31
%jiwacu:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaMoSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 32
%jiwacu:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Alter, F), male(Alter).
;; 33
%jiwacu:1, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=7, S=1, Star=0,  {HuFaFaSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Alter, F), male(Alter).
;; 34
%jiwacu:1, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStfaBro}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 35
%jiwacu:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 36
%jiwacu:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaMoSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 37
%jiwacu:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 38
%jiwacu:1, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStfaFaSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 39
%jiwacu:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=1,  PC=6, S=2, Star=0,  {HuStmoBro}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Alter, E), child(Alter, F), not(equal(Alter, D)), male(Alter).
;; 40
%jiwacu:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoMoBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 41
%jiwacu:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoMoSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 42
%jiwacu:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoFaBroSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Alter, H), male(Alter).
;; 43
%jiwacu:1, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=1,  PC=8, S=2, Star=0,  {HuStmoFaSisSo}  
[ext],  female(Ego), spouse(A, Ego), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Alter, H), male(Alter).
;; 44
%jiwacu:2, in_law[aux]11:0%
 Lvl=-1,  PC=1, S=1, Star=0,  {DaHu}  
 spouse(A, Alter), parent(Ego, A), male(Alter).
;; 45
%jiwacu:2, in_law[aux]11:1, step_child[aux]11ne:0%
 Lvl=-1,  PC=2, S=3, Star=0,  {StdaHu}  
[ext],  spouse(A, Alter), spouse(B, Ego), spouse(C, B), not(equal(Ego, C)), child(A, C), child(A, B), male(Alter).
;; 46
%jiwacu:2, in_law[aux]11:2, parents:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {SisDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Alter).
;; 47
%jiwacu:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Alter).
;; 48
%jiwacu:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Alter).
;; 49
%jiwacu:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Alter).
;; 50
%jiwacu:2, in_law[aux]11:2, parents:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroDaDaHu}  
[ext],  spouse(A, Alter), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Alter).
;; 51
%jiwacu:2, in_law[aux]11:2, parents:1, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {BroDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), father(D, B), child(Ego, C), child(Ego, D), not(equal(Ego, B)), male(Alter).
;; 52
%jiwacu:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Alter).
;; 53
%jiwacu:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoSisSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Alter).
;; 54
%jiwacu:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {FaBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), child(Ego, F), male(Alter).
;; 55
%jiwacu:2, in_law[aux]11:2, parents:1, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {MoBroSoDaHu}  
[ext],  spouse(A, Alter), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), child(Ego, F), male(Alter).
;; 56
%jiwacu:2, in_law[aux]11:3, step_father:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {BroStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Alter).
;; 57
%jiwacu:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaSisSoStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), male(Alter).
;; 58
%jiwacu:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoSisSoStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), male(Alter).
;; 59
%jiwacu:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaBroSoStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), male(Alter).
;; 60
%jiwacu:2, in_law[aux]11:3, step_father:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoBroSoStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), husband(D, C), not(equal(D, B)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), male(Alter).
;; 61
%jiwacu:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:0, sibling:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {SisStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), father(F, D), child(Ego, E), child(Ego, F), not(equal(Ego, D)), male(Alter).
;; 62
%jiwacu:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaSisDaStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), male(Alter).
;; 63
%jiwacu:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoSisDaStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), mother(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), male(Alter).
;; 64
%jiwacu:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaBroDaStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), male(H), child(Ego, H), male(Alter).
;; 65
%jiwacu:2, in_law[aux]11:4, step_mother:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoBroDaStdaHu}  
[ext],  spouse(A, Alter), father(B, A), mother(C, A), wife(D, B), not(equal(D, C)), father(E, D), mother(F, E), father(G, E), child(H, F), child(H, G), not(equal(H, E)), female(H), child(Ego, H), male(Alter).


jiwemo(Alter, Ego) :-  husband(A, Ego), sibling(Alter, A), female(Alter).
                   |   female(Ego), sibling(A, Ego), wife(Alter, A).
{"BroWi_HuSis"}
;; 0
%jiwemo:0, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {HuSis}  
 husband(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)), female(Alter).
;; 1
%jiwemo:1, sibling:0%
 Lvl=0,  PC=4, S=1, Star=0,  {BroWi}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), wife(Alter, C).


jiyoco(Alter, Ego) :-  sibling(Alter, Ego), younger(Alter, Ego), female(Alter).
                   |  [ext],  elder_para_gen[aux]11(Ego, Alter), female(Alter).
                   |  [ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(generation[aux]11(Alter, Ego)).
                   |  [ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Ego, Alter), not(generation[aux]11(Alter, Ego)).
{"**_FaBroDa_FaBroStda_FaHbroDa_FaHbroStda_Hsis_MoHsisDa_MoHsisStda_MoSisDa_MoSisStda_Sis"}
;; 0
%jiyoco:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), female(Alter).
;; 1
%jiyoco:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Sis}  
[ext],  mother(A, Alter), father(B, Alter), child(Ego, A), child(Ego, B), not(equal(Ego, Alter)), gender(C, Ego), gender(C, Alter), elder(Ego, Alter), female(Alter).
;; 2
%jiyoco:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisDa}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Ego, D), gender(F, A), gender(F, D), female(Alter).
;; 3
%jiyoco:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), female(Alter).
;; 4
%jiyoco:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisDa}  
[ext], [ext],  mother(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), female(Alter).
;; 5
%jiyoco:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroDa}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Ego, D), gender(F, A), gender(F, D), female(Alter).
;; 6
%jiyoco:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), female(Alter).
;; 7
%jiyoco:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroDa}  
[ext], [ext],  father(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), female(Alter).
;; 8
%jiyoco:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), female(Alter).
;; 9
%jiyoco:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hsis}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), female(Alter).
;; 10
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoSisStda}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Ego, F), gender(H, B), gender(H, F), female(Alter).
;; 11
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStda}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), female(Alter).
;; 12
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStda}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), female(Alter).
;; 13
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaBroStda}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Ego, F), gender(H, B), gender(H, F), female(Alter).
;; 14
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStda}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), female(Alter).
;; 15
%jiyoco:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStda}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), female(Alter).
;; 16
%jiyoco:2, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=4,  {**}  
[ext],  female(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 17
%jiyoco:3, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  female(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Ego, Alter), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


jiyocu(Alter, Ego) :-  sibling(Alter, Ego), younger(Alter, Ego), male(Alter).
                   |  [ext],  elder_para_gen[aux]11(Ego, Alter), male(Alter).
                   |  [ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(generation[aux]11(Alter, Ego)).
                   |  [ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Ego, Alter), not(generation[aux]11(Alter, Ego)).
{"**_Bro_FaBroSo_FaBroStso_FaHbroSo_FaHbroStso_Hbro_MoHsisSo_MoHsisStso_MoSisSo_MoSisStso"}
;; 0
%jiyocu:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), younger(Alter, Ego), male(Alter).
;; 1
%jiyocu:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=4, S=0, Star=0,  {Bro}  
[ext],  mother(A, Alter), father(B, Alter), child(Ego, A), child(Ego, B), not(equal(Ego, Alter)), gender(C, Ego), gender(C, Alter), elder(Ego, Alter), male(Alter).
;; 2
%jiyocu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoSisSo}  
[ext],  mother(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Ego, D), gender(F, A), gender(F, D), male(Alter).
;; 3
%jiyocu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), male(Alter).
;; 4
%jiyocu:1, elder_para_gen[aux]11:1, parents:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {MoHsisSo}  
[ext], [ext],  mother(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), male(Alter).
;; 5
%jiyocu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaBroSo}  
[ext],  father(A, Alter), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), elder(D, A), child(Ego, D), gender(F, A), gender(F, D), male(Alter).
;; 6
%jiyocu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Alter), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), male(Alter).
;; 7
%jiyocu:1, elder_para_gen[aux]11:1, parents:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=5, S=2, Star=0,  {FaHbroSo}  
[ext], [ext],  father(A, Alter), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), elder(E, A), child(Ego, E), gender(G, A), gender(G, E), male(Alter).
;; 8
%jiyocu:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), male(Alter).
;; 9
%jiyocu:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=3, S=2, Star=0,  {Hbro}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), child(Ego, B), gender(D, Ego), gender(D, Alter), elder(Ego, Alter), male(Alter).
;; 10
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoSisStso}  
[ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Ego, F), gender(H, B), gender(H, F), male(Alter).
;; 11
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStso}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), male(Alter).
;; 12
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:0, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {MoHsisStso}  
[ext], [ext], [ext],  husband(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), male(Alter).
;; 13
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaBroStso}  
[ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), elder(F, B), child(Ego, F), gender(H, B), gender(H, F), male(Alter).
;; 14
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStso}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), male(Alter).
;; 15
%jiyocu:1, elder_para_gen[aux]11:3, step_child[aux]11:0, spice:1, elder_para_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=6, S=4, Star=0,  {FaHbroStso}  
[ext], [ext], [ext],  wife(A, B), spouse(C, A), not(equal(B, C)), child(Alter, C), child(Alter, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), elder(G, B), child(Ego, G), gender(I, B), gender(I, G), male(Alter).
;; 16
%jiyocu:2, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=4,  {**}  
[ext],  male(Alter), *phratry(A, Ego), *phratry(A, Alter), *sib_number(B, Ego), *sib_number(C, Alter), lessThan(B, C), not(mother(D, Ego), father(E, Ego), child(Alter, D), child(Alter, E), not(equal(Alter, Ego))), not(mother(F, Ego), mother(G, F), father(H, F), child(I, G), child(I, H), not(equal(I, F)), male(I), child(Alter, I)), not(mother(F, Ego), mother(J, F), father(K, F), child(I, J), child(I, K), not(equal(I, F)), female(I), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(M, L), father(N, L), child(O, M), child(O, N), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), mother(L, F), mother(P, L), father(Q, L), child(O, P), child(O, Q), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(R, L), father(S, L), child(O, R), child(O, S), not(equal(O, L)), male(O), daughter(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), son(I, O), child(Alter, I)), not(mother(F, Ego), father(L, F), mother(T, L), father(U, L), child(O, T), child(O, U), not(equal(O, L)), female(O), daughter(I, O), child(Alter, I)), not(father(F, Ego), mother(V, F), father(W, F), child(I, V), child(I, W), not(equal(I, F)), male(I), child(Alter, I)), not(father(F, Ego), mother(X, F), father(Y, F), child(I, X), child(I, Y), not(equal(I, F)), female(I), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(AA, Z), father(BB, Z), child(CC, AA), child(CC, BB), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), mother(Z, F), mother(DD, Z), father(EE, Z), child(CC, DD), child(CC, EE), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(FF, Z), father(GG, Z), child(CC, FF), child(CC, GG), not(equal(CC, Z)), male(CC), daughter(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), son(I, CC), child(Alter, I)), not(father(F, Ego), father(Z, F), mother(HH, Z), father(II, Z), child(CC, HH), child(CC, II), not(equal(CC, Z)), female(CC), daughter(I, CC), child(Alter, I)).
;; 17
%jiyocu:3, (not: generation[aux]11:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0), (not: generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1)%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
[ext],  male(Alter), *sib_number(A, Ego), *sib_number(A, Alter), elder(Ego, Alter), not(mother(B, Ego), father(C, Ego), child(Alter, B), child(Alter, C), not(equal(Alter, Ego))), not(mother(D, Ego), mother(E, D), father(F, D), child(G, E), child(G, F), not(equal(G, D)), male(G), child(Alter, G)), not(mother(D, Ego), mother(H, D), father(I, D), child(G, H), child(G, I), not(equal(G, D)), female(G), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(K, J), father(L, J), child(M, K), child(M, L), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), mother(J, D), mother(N, J), father(O, J), child(M, N), child(M, O), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(P, J), father(Q, J), child(M, P), child(M, Q), not(equal(M, J)), male(M), daughter(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), son(G, M), child(Alter, G)), not(mother(D, Ego), father(J, D), mother(R, J), father(S, J), child(M, R), child(M, S), not(equal(M, J)), female(M), daughter(G, M), child(Alter, G)), not(father(D, Ego), mother(T, D), father(U, D), child(G, T), child(G, U), not(equal(G, D)), male(G), child(Alter, G)), not(father(D, Ego), mother(V, D), father(W, D), child(G, V), child(G, W), not(equal(G, D)), female(G), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(Y, X), father(Z, X), child(AA, Y), child(AA, Z), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), mother(X, D), mother(BB, X), father(CC, X), child(AA, BB), child(AA, CC), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(DD, X), father(EE, X), child(AA, DD), child(AA, EE), not(equal(AA, X)), male(AA), daughter(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), son(G, AA), child(Alter, G)), not(father(D, Ego), father(X, D), mother(FF, X), father(GG, X), child(AA, FF), child(AA, GG), not(equal(AA, X)), female(AA), daughter(G, AA), child(Alter, G)).


jiyuico(Alter, Ego) :-  male(Ego), cross_gen[aux]11gs(A, Ego), daughter(Alter, A).
                    |   wife(A, Ego), cross_gen[aux]11gs(B, A), daughter(Alter, B).
{"FaFaBroDaDaDa_FaFaBroDaSoDa_FaFaFaBroSoDaDaDa_FaFaFaBroSoDaSoDa_FaFaFaHbroSoDaDaDa_FaFaFaHbroSoDaSoDa_FaFaHbroDaDaDa_FaFaHbroDaSoDa_FaFaMoHsisSoDaDaDa_FaFaMoHsisSoDaSoDa_FaFaMoSisSoDaDaDa_FaFaMoSisSoDaSoDa_FaFaSisDaDaDa_FaFaSisDaSoDa_FaFaSisSoDaDa_FaFaSisSoSoDa_FaMoBroDaDaDa_FaMoBroDaSoDa_FaMoBroSoDaDa_FaMoBroSoSoDa_FaMoFaBroDaDaDaDa_FaMoFaBroDaDaSoDa_FaMoFaHbroDaDaDaDa_FaMoFaHbroDaDaSoDa_FaMoHsisDaDaDa_FaMoHsisDaSoDa_FaMoMoHsisDaDaDaDa_FaMoMoHsisDaDaSoDa_FaMoMoSisDaDaDaDa_FaMoMoSisDaDaSoDa_FaMoSisDaDaDa_FaMoSisDaSoDa_FaSisDaDa_FaSisSoDa_MoBroDaDa_MoBroSoDa_MoFaBroSoDaDa_MoFaBroSoSoDa_MoFaFaBroSoSoDaDa_MoFaFaBroSoSoSoDa_MoFaFaHbroSoSoDaDa_MoFaFaHbroSoSoSoDa_MoFaHbroSoDaDa_MoFaHbroSoSoDa_MoFaMoHsisSoSoDaDa_MoFaMoHsisSoSoSoDa_MoFaMoSisSoSoDaDa_MoFaMoSisSoSoSoDa_MoFaSisDaDaDa_MoFaSisDaSoDa_MoFaSisSoDaDa_MoFaSisSoSoDa_MoMoBroDaDaDa_MoMoBroDaSoDa_MoMoBroSoDaDa_MoMoBroSoSoDa_MoMoFaBroDaSoDaDa_MoMoFaBroDaSoSoDa_MoMoFaHbroDaSoDaDa_MoMoFaHbroDaSoSoDa_MoMoHsisSoDaDa_MoMoHsisSoSoDa_MoMoMoHsisDaSoDaDa_MoMoMoHsisDaSoSoDa_MoMoMoSisDaSoDaDa_MoMoMoSisDaSoSoDa_MoMoSisSoDaDa_MoMoSisSoSoDa_SisDa_WiBroDa_WiFaFaBroDaDaDa_WiFaFaBroDaSoDa_WiFaFaHbroDaDaDa_WiFaFaHbroDaSoDa_WiFaMoHsisDaDaDa_WiFaMoHsisDaSoDa_WiFaMoSisDaDaDa_WiFaMoSisDaSoDa_WiFaSisDaDa_WiFaSisSoDa_WiMoBroDaDa_WiMoBroSoDa_WiMoFaBroSoDaDa_WiMoFaBroSoSoDa_WiMoFaHbroSoDaDa_WiMoFaHbroSoSoDa_WiMoMoHsisSoDaDa_WiMoMoHsisSoSoDa_WiMoMoSisSoDaDa_WiMoMoSisSoSoDa"}
;; 0
%jiyuico:0, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), daughter(Alter, C).
;; 1
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(Alter, G).
;; 2
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(Alter, G).
;; 3
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(Alter, G).
;; 4
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(Alter, G).
;; 5
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 6
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 7
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 8
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 9
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 10
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 11
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 12
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 13
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 14
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 15
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 16
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 17
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(Alter, I).
;; 18
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(Alter, I).
;; 19
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(Alter, I).
;; 20
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(Alter, I).
;; 21
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 22
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 23
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 24
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 25
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 26
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 27
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 28
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 29
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 30
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 31
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 32
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 33
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 34
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 35
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 36
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 37
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 38
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 39
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 40
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 41
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 42
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 43
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 44
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 45
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 46
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 47
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 48
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 49
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 50
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 51
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 52
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 53
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 54
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 55
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 56
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 57
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 58
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 59
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 60
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 61
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 62
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 63
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 64
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 65
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 66
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 67
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 68
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 69
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 70
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 71
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 72
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 73
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 74
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 75
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), daughter(Alter, J).
;; 76
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), daughter(Alter, J).
;; 77
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 78
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 79
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 80
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 81
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 82
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 83
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), daughter(Alter, M).
;; 84
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), daughter(Alter, M).
;; 85
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 86
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 87
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(Alter, N).
;; 88
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(Alter, N).
;; 89
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 90
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 91
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 92
%jiyuico:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 93
%jiyuico:1, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(F, D), not(equal(E, F)), daughter(Alter, D).
;; 94
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 95
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 96
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(Alter, H).
;; 97
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(Alter, H).
;; 98
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoSisSoSoDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 99
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoSisSoDaDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 100
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 101
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 102
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 103
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 104
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaBroSoSoDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 105
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaBroSoDaDa}  
[ext],  wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 106
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 107
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 108
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoSoDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 109
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 110
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoSisDaSoDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 111
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoSisDaDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 112
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 113
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 114
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 115
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 116
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaBroDaSoDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), son(K, H), daughter(Alter, K).
;; 117
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaBroDaDaDa}  
[ext],  wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, C), gender(G, E), child(H, E), gender(I, B), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(Alter, K).
;; 118
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 119
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).
;; 120
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaSoDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), daughter(Alter, L).
;; 121
%jiyuico:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), daughter(Alter, L).


jiyuicu(Alter, Ego) :-  male(Ego), cross_gen[aux]11gs(A, Ego), son(Alter, A).
                    |   male(Ego), wife(A, Ego), cross_gen[aux]11gs(B, A), son(Alter, B).
{"FaFaBroDaDaSo_FaFaBroDaSoSo_FaFaFaBroSoDaDaSo_FaFaFaBroSoDaSoSo_FaFaFaHbroSoDaDaSo_FaFaFaHbroSoDaSoSo_FaFaHbroDaDaSo_FaFaHbroDaSoSo_FaFaMoHsisSoDaDaSo_FaFaMoHsisSoDaSoSo_FaFaMoSisSoDaDaSo_FaFaMoSisSoDaSoSo_FaFaSisDaDaSo_FaFaSisDaSoSo_FaFaSisSoDaSo_FaFaSisSoSoSo_FaMoBroDaDaSo_FaMoBroDaSoSo_FaMoBroSoDaSo_FaMoBroSoSoSo_FaMoFaBroDaDaDaSo_FaMoFaBroDaDaSoSo_FaMoFaHbroDaDaDaSo_FaMoFaHbroDaDaSoSo_FaMoHsisDaDaSo_FaMoHsisDaSoSo_FaMoMoHsisDaDaDaSo_FaMoMoHsisDaDaSoSo_FaMoMoSisDaDaDaSo_FaMoMoSisDaDaSoSo_FaMoSisDaDaSo_FaMoSisDaSoSo_FaSisDaSo_FaSisSoSo_MoBroDaSo_MoBroSoSo_MoFaBroSoDaSo_MoFaBroSoSoSo_MoFaFaBroSoSoDaSo_MoFaFaBroSoSoSoSo_MoFaFaHbroSoSoDaSo_MoFaFaHbroSoSoSoSo_MoFaHbroSoDaSo_MoFaHbroSoSoSo_MoFaMoHsisSoSoDaSo_MoFaMoHsisSoSoSoSo_MoFaMoSisSoSoDaSo_MoFaMoSisSoSoSoSo_MoFaSisDaDaSo_MoFaSisDaSoSo_MoFaSisSoDaSo_MoFaSisSoSoSo_MoMoBroDaDaSo_MoMoBroDaSoSo_MoMoBroSoDaSo_MoMoBroSoSoSo_MoMoFaBroDaSoDaSo_MoMoFaBroDaSoSoSo_MoMoFaHbroDaSoDaSo_MoMoFaHbroDaSoSoSo_MoMoHsisSoDaSo_MoMoHsisSoSoSo_MoMoMoHsisDaSoDaSo_MoMoMoHsisDaSoSoSo_MoMoMoSisDaSoDaSo_MoMoMoSisDaSoSoSo_MoMoSisSoDaSo_MoMoSisSoSoSo_SisSo_WiBroSo_WiFaFaFaHbroSoDaDaSo_WiFaFaFaHbroSoDaSoSo_WiFaFaHbroDaDaSo_WiFaFaHbroDaSoSo_WiFaFaMoHsisSoDaDaSo_WiFaFaMoHsisSoDaSoSo_WiFaFaSisDaDaSo_WiFaFaSisDaSoSo_WiFaFaSisSoDaSo_WiFaFaSisSoSoSo_WiFaMoBroDaDaSo_WiFaMoBroDaSoSo_WiFaMoBroSoDaSo_WiFaMoBroSoSoSo_WiFaMoFaHbroDaDaDaSo_WiFaMoFaHbroDaDaSoSo_WiFaMoHsisDaDaSo_WiFaMoHsisDaSoSo_WiFaMoMoHsisDaDaDaSo_WiFaMoMoHsisDaDaSoSo_WiFaSisDaSo_WiFaSisSoSo_WiMoBroDaSo_WiMoBroSoSo_WiMoFaFaHbroSoSoDaSo_WiMoFaFaHbroSoSoSoSo_WiMoFaHbroSoDaSo_WiMoFaHbroSoSoSo_WiMoFaMoHsisSoSoDaSo_WiMoFaMoHsisSoSoSoSo_WiMoFaSisDaDaSo_WiMoFaSisDaSoSo_WiMoFaSisSoDaSo_WiMoFaSisSoSoSo_WiMoMoBroDaDaSo_WiMoMoBroDaSoSo_WiMoMoBroSoDaSo_WiMoMoBroSoSoSo_WiMoMoFaHbroDaSoDaSo_WiMoMoFaHbroDaSoSoSo_WiMoMoHsisSoDaSo_WiMoMoHsisSoSoSo_WiMoMoMoHsisDaSoDaSo_WiMoMoMoHsisDaSoSoSo"}
;; 0
%jiyuicu:0, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, Ego), gender(E, C), not(equal(D, E)), son(Alter, C).
;; 1
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(Alter, G).
;; 2
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoBroDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(Alter, G).
;; 3
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(Alter, G).
;; 4
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaSisDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(Alter, G).
;; 5
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 6
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 7
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 8
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoBroDaDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 9
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 10
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 11
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 12
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaSisDaDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 13
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 14
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroSoDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 15
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 16
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 17
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(Alter, I).
;; 18
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisSoDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(Alter, I).
;; 19
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(Alter, I).
;; 20
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(Alter, I).
;; 21
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 22
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoMoSisSoDaSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 23
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 24
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoMoSisDaSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 25
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 26
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 27
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 28
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 29
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 30
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoMoFaBroDaSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 31
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 32
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 33
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 34
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 35
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 36
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 37
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 38
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 39
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoSoSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 40
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {MoFaBroSoDaSo}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 41
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 42
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaMoSisSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 43
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 44
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 45
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 46
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 47
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 48
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {MoFaFaBroSoSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 49
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 50
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 51
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 52
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {MoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 53
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 54
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 55
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 56
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {MoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 57
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 58
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaMoSisDaDaSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 59
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 60
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoMoSisDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 61
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 62
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 63
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 64
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 65
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 66
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaMoFaBroDaDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 67
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 68
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 69
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 70
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 71
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 72
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 73
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 74
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 75
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaSoSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), son(J, G), son(Alter, J).
;; 76
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=9, S=0, Star=0,  {FaFaBroDaDaSo}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), gender(H, A), gender(I, G), not(equal(H, I)), daughter(J, G), son(Alter, J).
;; 77
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 78
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaMoSisSoDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 79
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 80
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 81
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 82
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 83
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:0%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), son(M, J), son(Alter, M).
;; 84
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0, children:1%
 Lvl=-1,  PC=11, S=0, Star=0,  {FaFaFaBroSoDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), gender(K, A), gender(L, J), not(equal(K, L)), daughter(M, J), son(Alter, M).
;; 85
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 86
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 87
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(Alter, N).
;; 88
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=2, Star=0,  {FaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(Alter, N).
;; 89
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 90
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 91
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(Alter, K).
;; 92
%jiyuicu:0, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=2, Star=0,  {FaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(Alter, K).
;; 93
%jiyuicu:1, cross_gen[aux]11gs:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiBroSo}  
 male(Ego), wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, A), gender(F, D), not(equal(E, F)), son(Alter, D).
;; 94
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroSoSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 95
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoBroDaSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 96
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisSoSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(Alter, H).
;; 97
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaSisDaSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(Alter, H).
;; 98
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoBroSoSoSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), son(J, I), son(Alter, J).
;; 99
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoBroSoDaSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), daughter(J, I), son(Alter, J).
;; 100
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoBroDaSoSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), son(J, I), son(Alter, J).
;; 101
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoMoBroDaDaSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), daughter(J, I), son(Alter, J).
;; 102
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaSisSoSoSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), son(J, I), son(Alter, J).
;; 103
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaSisSoDaSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), daughter(J, I), son(Alter, J).
;; 104
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaSisDaSoSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), son(J, I), son(Alter, J).
;; 105
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiMoFaSisDaDaSo}  
[ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), daughter(J, I), son(Alter, J).
;; 106
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoBroSoSoSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), son(J, I), son(Alter, J).
;; 107
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoBroSoDaSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), daughter(J, I), son(Alter, J).
;; 108
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoBroDaSoSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), son(J, I), son(Alter, J).
;; 109
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaMoBroDaDaSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), daughter(J, I), son(Alter, J).
;; 110
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaSisSoSoSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), son(J, I), son(Alter, J).
;; 111
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaSisSoDaSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), son(I, E), daughter(J, I), son(Alter, J).
;; 112
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaSisDaSoSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), son(J, I), son(Alter, J).
;; 113
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1%
 Lvl=-1,  PC=9, S=1, Star=0,  {WiFaFaSisDaDaSo}  
[ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), father(F, E), child(C, D), child(C, F), not(equal(C, E)), gender(G, E), gender(H, C), not(equal(G, H)), daughter(I, E), daughter(J, I), son(Alter, J).
;; 114
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 115
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 116
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoMoHsisDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 117
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoMoHsisDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 118
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 119
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 120
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoFaHbroDaSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 121
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoMoFaHbroDaSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 122
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 123
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 124
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 125
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoMoHsisSoDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 126
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 127
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 128
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaMoHsisSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 129
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaMoHsisSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 130
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 131
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 132
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaFaHbroSoSoSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 133
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiMoFaFaHbroSoSoDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 134
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 135
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 136
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 137
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiMoFaHbroSoDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), mother(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 138
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 139
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 140
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoMoHsisDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 141
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoMoHsisDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 142
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 143
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 144
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoFaHbroDaDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 145
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaMoFaHbroDaDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 146
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 147
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 148
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 149
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaMoHsisDaDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), mother(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 150
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 151
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 152
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaMoHsisSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 153
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaMoHsisSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), mother(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 154
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 155
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), father(D, E), husband(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 156
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaFaHbroSoDaSoSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), son(O, L), son(Alter, O).
;; 157
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=10, S=3, Star=0,  {WiFaFaFaHbroSoDaDaSo}  
[ext], [ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), father(D, E), wife(F, G), spouse(H, F), not(equal(G, H)), child(D, H), child(D, F), child(I, G), gender(J, I), gender(J, D), child(C, I), gender(K, C), gender(K, E), child(L, E), gender(M, B), gender(N, L), not(equal(M, N)), daughter(O, L), son(Alter, O).
;; 158
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 159
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), husband(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).
;; 160
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaSoSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), son(L, I), son(Alter, L).
;; 161
%jiyuicu:1, cross_gen[aux]11gs:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiFaFaHbroDaDaSo}  
[ext], [ext],  male(Ego), wife(A, Ego), father(B, A), father(C, B), wife(D, E), spouse(F, D), not(equal(E, F)), child(G, F), child(G, D), child(C, E), gender(H, C), gender(H, G), child(I, G), gender(J, B), gender(K, I), not(equal(J, K)), daughter(L, I), son(Alter, L).


legal_spouse(Alter, Ego) :-  gender(A, Ego), gender(B, Alter), not(equal(A, B)), *phratry(C, Ego), *phratry(D, Alter), not(equal(C, D)), not(equal(D, 9)).
{"**"}
;; 0
%legal_spouse:0%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
 male(Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)), *phratry(C, Ego), *phratry(D, Alter), not(equal(C, D)), not(equal(D, 9)).
;; 1
%legal_spouse:0%
 Lvl=0,  PC=0, S=0, Star=2,  {**}  
 female(Ego), gender(A, Ego), gender(B, Alter), not(equal(A, B)), *phratry(C, Ego), *phratry(D, Alter), not(equal(C, D)), not(equal(D, 9)).


nujemaco(Alter, Ego) :-  parallel_gen[aux]11(A, Ego), daughter(Alter, A).
                     |   spice(A, Ego), parallel_gen[aux]11(B, A), daughter(Alter, B).
{"BroDa_FaBroDaDa_FaBroSoDa_FaHbroDaDa_FaHbroSoDa_HbroDa_HsisDa_HuBroDa_HuFaBroSoDa_HuFaHbroSoDa_HuHbroDa_HuMoHsisSoDa_HuMoSisSoDa_HuStfaBroSoDa_HuStmoSisSoDa_MoHsisDaDa_MoHsisSoDa_MoSisDaDa_MoSisSoDa_SisDa_StfaBroDaDa_StfaBroSoDa_StmoSisDaDa_StmoSisSoDa_WiFaBroDaDa_WiFaHbroDaDa_WiHsisDa_WiMoHsisDaDa_WiMoSisDaDa_WiSisDa_WiStfaBroDaDa_WiStmoSisDaDa"}
;; 0
%nujemaco:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroDa}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), daughter(Alter, C).
;; 1
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), daughter(Alter, F).
;; 2
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 3
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 4
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), daughter(Alter, F).
;; 5
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 6
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 7
%nujemaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=2, Star=0,  {HbroDa}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), daughter(Alter, D).
;; 8
%nujemaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=2, Star=0,  {HbroDa}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), daughter(Alter, D).
;; 9
%nujemaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StmoSisSoDa}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), daughter(Alter, H).
;; 10
%nujemaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StfaBroSoDa}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), daughter(Alter, H).
;; 11
%nujemaco:1, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroDa}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), daughter(Alter, D).
;; 12
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoDa}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), daughter(Alter, G).
;; 13
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuMoHsisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 14
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuMoHsisSoDa}  
[ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 15
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoDa}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), daughter(Alter, G).
;; 16
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuFaHbroSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 17
%nujemaco:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuFaHbroSoDa}  
[ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 18
%nujemaco:1, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=3, Star=0,  {HuHbroDa}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), daughter(Alter, E).
;; 19
%nujemaco:1, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=3, Star=0,  {HuHbroDa}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), daughter(Alter, E).
;; 20
%nujemaco:1, spice:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuStmoSisSoDa}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), daughter(Alter, I).
;; 21
%nujemaco:1, spice:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuStfaBroSoDa}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), daughter(Alter, I).
;; 22
%nujemaco:1, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisDa}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), daughter(Alter, D).
;; 23
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaDa}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), daughter(Alter, G).
;; 24
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiMoHsisDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 25
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiMoHsisDaDa}  
[ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 26
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaDa}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), daughter(Alter, G).
;; 27
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiFaHbroDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 28
%nujemaco:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiFaHbroDaDa}  
[ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), daughter(Alter, H).
;; 29
%nujemaco:1, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=3, Star=0,  {WiHsisDa}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), daughter(Alter, E).
;; 30
%nujemaco:1, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=3, Star=0,  {WiHsisDa}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), daughter(Alter, E).
;; 31
%nujemaco:1, spice:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiStmoSisDaDa}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), daughter(Alter, I).
;; 32
%nujemaco:1, spice:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiStfaBroDaDa}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), daughter(Alter, I).
;; 33
%nujemaco:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisDa}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), daughter(Alter, C).
;; 34
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaDa}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), daughter(Alter, F).
;; 35
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 36
%nujemaco:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisDaDa}  
[ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 37
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaDa}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), daughter(Alter, F).
;; 38
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 39
%nujemaco:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroDaDa}  
[ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), daughter(Alter, G).
;; 40
%nujemaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=2, Star=0,  {HsisDa}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), daughter(Alter, D).
;; 41
%nujemaco:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=2, Star=0,  {HsisDa}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), daughter(Alter, D).
;; 42
%nujemaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StmoSisDaDa}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), daughter(Alter, H).
;; 43
%nujemaco:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StfaBroDaDa}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), daughter(Alter, H).


nujemacu(Alter, Ego) :-  parallel_gen[aux]11(A, Ego), son(Alter, A).
                     |   spice(A, Ego), parallel_gen[aux]11(B, A), son(Alter, B).
{"BroSo_FaBroDaSo_FaBroSoSo_FaHbroDaSo_FaHbroSoSo_HbroSo_HsisSo_HuBroSo_HuFaBroSoSo_HuFaHbroSoSo_HuHbroSo_HuMoHsisSoSo_HuMoSisSoSo_HuStfaBroSoSo_HuStmoSisSoSo_MoHsisDaSo_MoHsisSoSo_MoSisDaSo_MoSisSoSo_SisSo_StfaBroDaSo_StfaBroSoSo_StmoSisDaSo_StmoSisSoSo_WiFaBroDaSo_WiFaHbroDaSo_WiHsisSo_WiMoHsisDaSo_WiMoSisDaSo_WiSisSo_WiStfaBroDaSo_WiStmoSisDaSo"}
;; 0
%nujemacu:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {BroSo}  
 male(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), son(Alter, C).
;; 1
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisSoSo}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), son(Alter, F).
;; 2
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 3
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisSoSo}  
[ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 4
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroSoSo}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), son(Alter, F).
;; 5
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 6
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroSoSo}  
[ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 7
%nujemacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=2, Star=0,  {HbroSo}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), son(Alter, D).
;; 8
%nujemacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=2, Star=0,  {HbroSo}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), son(Alter, D).
;; 9
%nujemacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StmoSisSoSo}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), son(Alter, H).
;; 10
%nujemacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StfaBroSoSo}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), son(Alter, H).
;; 11
%nujemacu:1, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {HuBroSo}  
 husband(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), son(Alter, D).
;; 12
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuMoSisSoSo}  
[ext],  husband(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), son(Alter, G).
;; 13
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuMoHsisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 14
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuMoHsisSoSo}  
[ext], [ext],  husband(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 15
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {HuFaBroSoSo}  
[ext],  husband(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), son(Alter, G).
;; 16
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuFaHbroSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 17
%nujemacu:1, spice:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {HuFaHbroSoSo}  
[ext], [ext],  husband(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 18
%nujemacu:1, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=3, Star=0,  {HuHbroSo}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), son(Alter, E).
;; 19
%nujemacu:1, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=3, Star=0,  {HuHbroSo}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), son(Alter, E).
;; 20
%nujemacu:1, spice:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuStmoSisSoSo}  
[ext],  husband(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), son(Alter, I).
;; 21
%nujemacu:1, spice:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {HuStfaBroSoSo}  
[ext],  husband(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), son(Alter, I).
;; 22
%nujemacu:1, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=1, Star=0,  {WiSisSo}  
 wife(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), son(Alter, D).
;; 23
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiMoSisDaSo}  
[ext],  wife(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), son(Alter, G).
;; 24
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiMoHsisDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 25
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiMoHsisDaSo}  
[ext], [ext],  wife(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 26
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=1, Star=0,  {WiFaBroDaSo}  
[ext],  wife(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), gender(F, E), gender(F, B), child(G, E), gender(H, G), gender(H, A), son(Alter, G).
;; 27
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiFaHbroDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 28
%nujemacu:1, spice:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=3, Star=0,  {WiFaHbroDaSo}  
[ext], [ext],  wife(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(B, E), child(B, C), child(F, D), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, A), son(Alter, H).
;; 29
%nujemacu:1, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=3, Star=0,  {WiHsisSo}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), son(Alter, E).
;; 30
%nujemacu:1, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=3, Star=0,  {WiHsisSo}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), son(Alter, E).
;; 31
%nujemacu:1, spice:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiStmoSisDaSo}  
[ext],  wife(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), son(Alter, I).
;; 32
%nujemacu:1, spice:1, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=3, Star=0,  {WiStfaBroDaSo}  
[ext],  wife(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(I, G), gender(J, I), gender(J, A), son(Alter, I).
;; 33
%nujemacu:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=5, S=0, Star=0,  {SisSo}  
 female(Ego), mother(A, Ego), father(B, Ego), child(C, A), child(C, B), not(equal(C, Ego)), gender(D, C), gender(D, Ego), son(Alter, C).
;; 34
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {MoSisDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), son(Alter, F).
;; 35
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 36
%nujemacu:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {MoHsisDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 37
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=7, S=0, Star=0,  {FaBroDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(F, D), gender(G, F), gender(G, Ego), son(Alter, F).
;; 38
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 39
%nujemacu:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=6, S=2, Star=0,  {FaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(G, E), gender(H, G), gender(H, Ego), son(Alter, G).
;; 40
%nujemacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=-1,  PC=4, S=2, Star=0,  {HsisSo}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), son(Alter, D).
;; 41
%nujemacu:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=-1,  PC=4, S=2, Star=0,  {HsisSo}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(D, B), gender(E, D), gender(E, Ego), son(Alter, D).
;; 42
%nujemacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StmoSisDaSo}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), son(Alter, H).
;; 43
%nujemacu:0, parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=-1,  PC=8, S=2, Star=0,  {StfaBroDaSo}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(H, F), gender(I, H), gender(I, Ego), son(Alter, H).


parallel_gen[aux]11(Alter, Ego) :-  sibling(Alter, Ego), gender(A, Alter), gender(A, Ego).
                                |  [ext],  parents(A, Ego), parallel_gen[aux]11(B, A), child(Alter, B), gender(C, Alter), gender(C, Ego).
                                |  [ext],  step_child[aux]11(Ego, A), child(Alter, A), gender(B, Alter), gender(B, Ego).
                                |  [ext],  step_child[aux]11(Ego, A), parallel_gen[aux]11(B, A), child(Alter, B), gender(C, Alter), gender(C, Ego).
;; 0
%parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 male(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego).
;; 1
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 2
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 3
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 4
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 5
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 6
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 7
%parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 8
%parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 9
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 10
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 11
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 12
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 13
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 14
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  male(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 15
%parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 female(Ego), mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), gender(C, Alter), gender(C, Ego).
;; 16
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 17
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), mother(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 18
%parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), mother(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 19
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), gender(E, D), gender(E, A), child(Alter, D), gender(F, Alter), gender(F, Ego).
;; 20
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), father(A, Ego), husband(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 21
%parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), father(A, Ego), wife(B, C), spouse(D, B), not(equal(C, D)), child(A, D), child(A, B), child(E, C), gender(F, E), gender(F, A), child(Alter, E), gender(G, Alter), gender(G, Ego).
;; 22
%parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 23
%parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), child(Alter, B), gender(D, Alter), gender(D, Ego).
;; 24
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 25
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 26
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), husband(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 27
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), mother(D, B), father(E, B), child(F, D), child(F, E), not(equal(F, B)), gender(G, F), gender(G, B), child(Alter, F), gender(H, Alter), gender(H, Ego).
;; 28
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), husband(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).
;; 29
%parallel_gen[aux]11:3, step_child[aux]11:0, spice:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
[ext], [ext],  female(Ego), wife(A, B), spouse(C, A), not(equal(B, C)), child(Ego, C), child(Ego, A), wife(D, E), spouse(F, D), not(equal(E, F)), child(B, F), child(B, D), child(G, E), gender(H, G), gender(H, B), child(Alter, G), gender(I, Alter), gender(I, Ego).


parents(Alter, Ego) :-  mother(Alter, Ego).
                    |   father(Alter, Ego).
;; 0
%parents:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(Alter, Ego).
;; 1
%parents:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(Alter, Ego).


preferred_spouse(Alter, Ego) :-  male(Ego), jichimaco(Alter, Ego).
                             |   female(Ego), jichimacu(Alter, Ego).
{"FaFaBroDaDa_FaFaBroDaSo_FaFaFaBroSoDaDa_FaFaFaBroSoDaSo_FaFaFaHbroSoDaDa_FaFaFaHbroSoDaDaDaDa_FaFaFaHbroSoDaDaDaSo_FaFaFaHbroSoDaDaSoDa_FaFaFaHbroSoDaDaSoSo_FaFaFaHbroSoDaSo_FaFaFaHbroSoDaSoDaDa_FaFaFaHbroSoDaSoDaSo_FaFaFaHbroSoDaSoSoDa_FaFaFaHbroSoDaSoSoSo_FaFaHbroDaDa_FaFaHbroDaDaDaDa_FaFaHbroDaDaDaSo_FaFaHbroDaDaSoDa_FaFaHbroDaDaSoSo_FaFaHbroDaSo_FaFaHbroDaSoDaDa_FaFaHbroDaSoDaSo_FaFaHbroDaSoSoDa_FaFaHbroDaSoSoSo_FaFaMoHsisSoDaDa_FaFaMoHsisSoDaDaDaDa_FaFaMoHsisSoDaDaDaSo_FaFaMoHsisSoDaDaSoDa_FaFaMoHsisSoDaDaSoSo_FaFaMoHsisSoDaSo_FaFaMoHsisSoDaSoDaDa_FaFaMoHsisSoDaSoDaSo_FaFaMoHsisSoDaSoSoDa_FaFaMoHsisSoDaSoSoSo_FaFaMoSisSoDaDa_FaFaMoSisSoDaSo_FaFaSisDaDa_FaFaSisDaDaDaDa_FaFaSisDaDaDaSo_FaFaSisDaDaSoDa_FaFaSisDaDaSoSo_FaFaSisDaSo_FaFaSisDaSoDaDa_FaFaSisDaSoDaSo_FaFaSisDaSoSoDa_FaFaSisDaSoSoSo_FaFaSisSoDa_FaFaSisSoDaDaDa_FaFaSisSoDaDaSo_FaFaSisSoDaSoDa_FaFaSisSoDaSoSo_FaFaSisSoSo_FaFaSisSoSoDaDa_FaFaSisSoSoDaSo_FaFaSisSoSoSoDa_FaFaSisSoSoSoSo_FaMoBroDaDa_FaMoBroDaDaDaDa_FaMoBroDaDaDaSo_FaMoBroDaDaSoDa_FaMoBroDaDaSoSo_FaMoBroDaSo_FaMoBroDaSoDaDa_FaMoBroDaSoDaSo_FaMoBroDaSoSoDa_FaMoBroDaSoSoSo_FaMoBroSoDa_FaMoBroSoDaDaDa_FaMoBroSoDaDaSo_FaMoBroSoDaSoDa_FaMoBroSoDaSoSo_FaMoBroSoSo_FaMoBroSoSoDaDa_FaMoBroSoSoDaSo_FaMoBroSoSoSoDa_FaMoBroSoSoSoSo_FaMoFaBroDaDaDa_FaMoFaBroDaDaSo_FaMoFaHbroDaDaDa_FaMoFaHbroDaDaDaDaDa_FaMoFaHbroDaDaDaDaSo_FaMoFaHbroDaDaDaSoDa_FaMoFaHbroDaDaDaSoSo_FaMoFaHbroDaDaSo_FaMoFaHbroDaDaSoDaDa_FaMoFaHbroDaDaSoDaSo_FaMoFaHbroDaDaSoSoDa_FaMoFaHbroDaDaSoSoSo_FaMoHsisDaDa_FaMoHsisDaDaDaDa_FaMoHsisDaDaDaSo_FaMoHsisDaDaSoDa_FaMoHsisDaDaSoSo_FaMoHsisDaSo_FaMoHsisDaSoDaDa_FaMoHsisDaSoDaSo_FaMoHsisDaSoSoDa_FaMoHsisDaSoSoSo_FaMoMoHsisDaDaDa_FaMoMoHsisDaDaDaDaDa_FaMoMoHsisDaDaDaDaSo_FaMoMoHsisDaDaDaSoDa_FaMoMoHsisDaDaDaSoSo_FaMoMoHsisDaDaSo_FaMoMoHsisDaDaSoDaDa_FaMoMoHsisDaDaSoDaSo_FaMoMoHsisDaDaSoSoDa_FaMoMoHsisDaDaSoSoSo_FaMoMoSisDaDaDa_FaMoMoSisDaDaSo_FaMoSisDaDa_FaMoSisDaSo_FaSisDa_FaSisDaDaDa_FaSisDaDaSo_FaSisDaSoDa_FaSisDaSoSo_FaSisSo_FaSisSoDaDa_FaSisSoDaSo_FaSisSoSoDa_FaSisSoSoSo_MoBroDa_MoBroDaDaDa_MoBroDaDaSo_MoBroDaSoDa_MoBroDaSoSo_MoBroSo_MoBroSoDaDa_MoBroSoDaSo_MoBroSoSoDa_MoBroSoSoSo_MoFaBroSoDa_MoFaBroSoSo_MoFaFaBroSoSoDa_MoFaFaBroSoSoSo_MoFaFaHbroSoSoDa_MoFaFaHbroSoSoDaDaDa_MoFaFaHbroSoSoDaDaSo_MoFaFaHbroSoSoDaSoDa_MoFaFaHbroSoSoDaSoSo_MoFaFaHbroSoSoSo_MoFaFaHbroSoSoSoDaDa_MoFaFaHbroSoSoSoDaSo_MoFaFaHbroSoSoSoSoDa_MoFaFaHbroSoSoSoSoSo_MoFaHbroSoDa_MoFaHbroSoDaDaDa_MoFaHbroSoDaDaSo_MoFaHbroSoDaSoDa_MoFaHbroSoDaSoSo_MoFaHbroSoSo_MoFaHbroSoSoDaDa_MoFaHbroSoSoDaSo_MoFaHbroSoSoSoDa_MoFaHbroSoSoSoSo_MoFaMoHsisSoSoDa_MoFaMoHsisSoSoDaDaDa_MoFaMoHsisSoSoDaDaSo_MoFaMoHsisSoSoDaSoDa_MoFaMoHsisSoSoDaSoSo_MoFaMoHsisSoSoSo_MoFaMoHsisSoSoSoDaDa_MoFaMoHsisSoSoSoDaSo_MoFaMoHsisSoSoSoSoDa_MoFaMoHsisSoSoSoSoSo_MoFaMoSisSoSoDa_MoFaMoSisSoSoSo_MoFaSisDaDa_MoFaSisDaDaDaDa_MoFaSisDaDaDaSo_MoFaSisDaDaSoDa_MoFaSisDaDaSoSo_MoFaSisDaSo_MoFaSisDaSoDaDa_MoFaSisDaSoDaSo_MoFaSisDaSoSoDa_MoFaSisDaSoSoSo_MoFaSisSoDa_MoFaSisSoDaDaDa_MoFaSisSoDaDaSo_MoFaSisSoDaSoDa_MoFaSisSoDaSoSo_MoFaSisSoSo_MoFaSisSoSoDaDa_MoFaSisSoSoDaSo_MoFaSisSoSoSoDa_MoFaSisSoSoSoSo_MoMoBroDaDa_MoMoBroDaDaDaDa_MoMoBroDaDaDaSo_MoMoBroDaDaSoDa_MoMoBroDaDaSoSo_MoMoBroDaSo_MoMoBroDaSoDaDa_MoMoBroDaSoDaSo_MoMoBroDaSoSoDa_MoMoBroDaSoSoSo_MoMoBroSoDa_MoMoBroSoDaDaDa_MoMoBroSoDaDaSo_MoMoBroSoDaSoDa_MoMoBroSoDaSoSo_MoMoBroSoSo_MoMoBroSoSoDaDa_MoMoBroSoSoDaSo_MoMoBroSoSoSoDa_MoMoBroSoSoSoSo_MoMoFaBroDaSoDa_MoMoFaBroDaSoSo_MoMoFaHbroDaSoDa_MoMoFaHbroDaSoDaDaDa_MoMoFaHbroDaSoDaDaSo_MoMoFaHbroDaSoDaSoDa_MoMoFaHbroDaSoDaSoSo_MoMoFaHbroDaSoSo_MoMoFaHbroDaSoSoDaDa_MoMoFaHbroDaSoSoDaSo_MoMoFaHbroDaSoSoSoDa_MoMoFaHbroDaSoSoSoSo_MoMoHsisSoDa_MoMoHsisSoDaDaDa_MoMoHsisSoDaDaSo_MoMoHsisSoDaSoDa_MoMoHsisSoDaSoSo_MoMoHsisSoSo_MoMoHsisSoSoDaDa_MoMoHsisSoSoDaSo_MoMoHsisSoSoSoDa_MoMoHsisSoSoSoSo_MoMoMoHsisDaSoDa_MoMoMoHsisDaSoDaDaDa_MoMoMoHsisDaSoDaDaSo_MoMoMoHsisDaSoDaSoDa_MoMoMoHsisDaSoDaSoSo_MoMoMoHsisDaSoSo_MoMoMoHsisDaSoSoDaDa_MoMoMoHsisDaSoSoDaSo_MoMoMoHsisDaSoSoSoDa_MoMoMoHsisDaSoSoSoSo_MoMoMoSisDaSoDa_MoMoMoSisDaSoSo_MoMoSisSoDa_MoMoSisSoSo"}
;; 0
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 1
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), female(Alter).
;; 2
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 3
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 4
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 5
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 6
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 7
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 8
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), female(Alter).
;; 9
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), female(Alter).
;; 10
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 11
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 12
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 13
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 14
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 15
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 16
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 17
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 18
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 19
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 20
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 21
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 22
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 23
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 24
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 25
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 26
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 27
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 28
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 29
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 30
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 31
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 32
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 33
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 34
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 35
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 36
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 37
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), female(Alter).
;; 38
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 39
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 40
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 41
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), female(Alter).
;; 42
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 43
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), female(Alter).
;; 44
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 45
%preferred_spouse:0, jichimaco:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), female(Alter).
;; 46
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), daughter(Alter, H).
;; 47
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), daughter(Alter, H).
;; 48
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), daughter(Alter, H).
;; 49
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), daughter(Alter, H).
;; 50
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), daughter(Alter, H).
;; 51
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), daughter(Alter, H).
;; 52
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), daughter(Alter, H).
;; 53
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), daughter(Alter, H).
;; 54
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 55
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 56
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 57
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 58
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 59
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 60
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 61
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaDa}  
[ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 62
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 63
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 64
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 65
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 66
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 67
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 68
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 69
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaDa}  
[ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 70
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 71
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 72
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 73
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 74
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 75
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 76
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 77
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaDa}  
[ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 78
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 79
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 80
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 81
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 82
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), daughter(Alter, J).
;; 83
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), daughter(Alter, J).
;; 84
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), daughter(Alter, J).
;; 85
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaDa}  
[ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), daughter(Alter, J).
;; 86
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 87
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 88
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 89
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 90
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 91
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 92
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 93
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 94
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 95
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 96
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 97
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 98
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 99
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 100
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 101
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 102
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 103
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 104
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 105
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 106
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 107
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 108
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 109
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 110
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 111
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 112
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 113
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 114
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 115
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 116
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 117
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 118
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 119
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 120
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 121
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 122
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 123
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 124
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 125
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaDa}  
[ext], [ext], [ext],  male(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 126
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 127
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 128
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 129
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 130
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 131
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 132
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 133
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaDa}  
[ext], [ext],  male(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 134
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 135
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 136
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 137
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 138
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 139
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 140
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 141
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 142
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 143
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 144
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 145
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 146
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 147
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 148
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 149
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 150
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 151
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 152
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 153
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 154
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 155
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 156
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 157
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 158
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 159
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 160
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 161
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 162
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 163
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 164
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 165
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 166
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 167
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 168
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 169
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 170
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), daughter(Alter, O).
;; 171
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), daughter(Alter, O).
;; 172
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), daughter(Alter, O).
;; 173
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaDa}  
[ext], [ext], [ext],  male(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), daughter(Alter, O).
;; 174
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 175
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 176
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 177
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 178
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), daughter(Alter, L).
;; 179
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), daughter(Alter, L).
;; 180
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), daughter(Alter, L).
;; 181
%preferred_spouse:0, jichimaco:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaDa}  
[ext], [ext],  male(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), daughter(Alter, L).
;; 182
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:0, parents:0, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {MoBroSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 183
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:0, parents:1, sibling:0%
 Lvl=0,  PC=6, S=0, Star=0,  {FaSisSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), child(Alter, C), male(Alter).
;; 184
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 185
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:0, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoBroDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 186
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 187
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:0, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaSisDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 188
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 189
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:1, parents:0, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoBroDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 190
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), child(Alter, H), male(Alter).
;; 191
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:1, parents:1, parents:1, sibling:0, children:1%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaSisDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), child(Alter, H), male(Alter).
;; 192
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoMoSisSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 193
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoMoSisDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 194
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 195
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoMoHsisDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 196
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoMoFaBroDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 197
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 198
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoMoFaHbroDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 199
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 200
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoMoHsisSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 201
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {MoFaBroSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 202
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaMoSisSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 203
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 204
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaMoHsisSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 205
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {MoFaFaBroSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 206
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 207
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {MoFaFaHbroSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 208
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 209
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {MoFaHbroSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 210
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaMoSisDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 211
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoMoSisDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 212
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 213
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoMoHsisDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 214
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaMoFaBroDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 215
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 216
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaMoFaHbroDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 217
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 218
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaMoHsisDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 219
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=8, S=0, Star=0,  {FaFaBroDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, B), gender(F, D), child(G, D), child(Alter, G), gender(H, A), gender(I, G), not(equal(H, I)), male(Alter).
;; 220
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaMoSisSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 221
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 222
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaMoHsisSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 223
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:0, sibling:0%
 Lvl=0,  PC=10, S=0, Star=0,  {FaFaFaBroSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), mother(E, C), father(F, C), child(G, E), child(G, F), not(equal(G, C)), gender(H, G), gender(H, C), child(B, G), gender(I, B), gender(I, D), child(J, D), child(Alter, J), gender(K, A), gender(L, J), not(equal(K, L)), male(Alter).
;; 224
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 225
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=9, S=2, Star=0,  {FaFaFaHbroSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), child(Alter, K), gender(L, A), gender(M, K), not(equal(L, M)), male(Alter).
;; 226
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 227
%preferred_spouse:1, jichimacu:0, cross_gen[aux]112:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1%
 Lvl=0,  PC=7, S=2, Star=0,  {FaFaHbroDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), child(Alter, H), gender(I, A), gender(J, H), not(equal(I, J)), male(Alter).
;; 228
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), son(Alter, H).
;; 229
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), son(Alter, H).
;; 230
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), son(Alter, H).
;; 231
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:0, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {MoBroDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), son(Alter, H).
;; 232
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), son(H, G), son(Alter, H).
;; 233
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:0, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), son(G, C), daughter(H, G), son(Alter, H).
;; 234
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:0%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), son(H, G), son(Alter, H).
;; 235
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:0, parents:1, sibling:0, children:1, children:1%
 Lvl=-2,  PC=8, S=0, Star=0,  {FaSisDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, C), father(D, C), child(A, B), child(A, D), not(equal(A, C)), gender(E, C), gender(F, A), not(equal(E, F)), daughter(G, C), daughter(H, G), son(Alter, H).
;; 236
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), son(Alter, J).
;; 237
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 238
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 239
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroSoDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 240
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), son(Alter, J).
;; 241
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaSoDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 242
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaSoSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 243
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:0, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoMoBroDaDaDaSo}  
[ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 244
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), son(Alter, J).
;; 245
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 246
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 247
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisSoDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 248
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), son(Alter, J).
;; 249
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaSoDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 250
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaSoSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 251
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:0, parents:1, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {MoFaSisDaDaDaSo}  
[ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 252
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), son(Alter, J).
;; 253
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 254
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 255
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroSoDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 256
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), son(Alter, J).
;; 257
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaSoDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 258
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaSoSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 259
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:0, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaMoBroDaDaDaSo}  
[ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 260
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), son(J, I), son(Alter, J).
;; 261
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 262
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 263
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:0, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisSoDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), son(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 264
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), son(J, I), son(Alter, J).
;; 265
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:0, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaSoDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), son(I, H), daughter(J, I), son(Alter, J).
;; 266
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1, children:0%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaSoSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), son(J, I), son(Alter, J).
;; 267
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:1, parents:1, parents:1, sibling:0, children:1, children:1, children:1%
 Lvl=-2,  PC=10, S=0, Star=0,  {FaFaSisDaDaDaSo}  
[ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), father(E, D), child(B, C), child(B, E), not(equal(B, D)), gender(F, D), gender(G, B), not(equal(F, G)), daughter(H, D), daughter(I, H), daughter(J, I), son(Alter, J).
;; 268
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 269
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 270
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 271
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 272
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 273
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 274
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 275
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoMoHsisDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 276
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 277
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 278
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 279
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 280
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 281
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 282
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 283
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoMoFaHbroDaSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 284
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 285
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 286
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 287
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 288
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 289
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 290
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 291
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoMoHsisSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 292
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 293
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 294
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 295
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 296
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 297
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 298
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 299
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaMoHsisSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 300
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 301
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 302
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 303
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 304
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 305
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoSoDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 306
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaSoSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 307
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {MoFaFaHbroSoSoDaDaSo}  
[ext], [ext], [ext],  female(Ego), mother(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 308
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 309
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 310
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 311
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 312
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 313
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoSoDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 314
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaSoSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 315
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:0, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {MoFaHbroSoDaDaSo}  
[ext], [ext],  female(Ego), mother(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 316
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 317
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 318
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 319
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 320
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 321
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 322
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 323
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoMoHsisDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 324
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 325
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 326
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 327
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 328
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 329
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 330
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 331
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaMoFaHbroDaDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), mother(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 332
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 333
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 334
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 335
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 336
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 337
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 338
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 339
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaMoHsisDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), mother(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 340
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 341
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 342
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 343
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 344
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 345
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 346
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 347
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:0, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaMoHsisSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), mother(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 348
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 349
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 350
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 351
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), husband(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 352
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), son(O, N), son(Alter, O).
;; 353
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaSoDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), son(N, K), daughter(O, N), son(Alter, O).
;; 354
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaSoSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), son(O, N), son(Alter, O).
;; 355
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=11, S=2, Star=0,  {FaFaFaHbroSoDaDaDaSo}  
[ext], [ext], [ext],  female(Ego), father(A, Ego), father(B, A), father(C, D), wife(E, F), spouse(G, E), not(equal(F, G)), child(C, G), child(C, E), child(H, F), gender(I, H), gender(I, C), child(B, H), gender(J, B), gender(J, D), child(K, D), gender(L, A), gender(M, K), not(equal(L, M)), daughter(N, K), daughter(O, N), son(Alter, O).
;; 356
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 357
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 358
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 359
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:0, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), husband(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).
;; 360
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), son(L, K), son(Alter, L).
;; 361
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:0, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaSoDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), son(K, H), daughter(L, K), son(Alter, L).
;; 362
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:0%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaSoSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), son(L, K), son(Alter, L).
;; 363
%preferred_spouse:1, jichimacu:1, cross_gen[aux]112gs:2, parents:1, parents:1, parallel_gen[aux]11:2, step_child[aux]11:0, spice:1, children:1, children:1%
 Lvl=-2,  PC=9, S=2, Star=0,  {FaFaHbroDaDaDaSo}  
[ext], [ext],  female(Ego), father(A, Ego), father(B, A), wife(C, D), spouse(E, C), not(equal(D, E)), child(F, E), child(F, C), child(B, D), gender(G, B), gender(G, F), child(H, F), gender(I, A), gender(J, H), not(equal(I, J)), daughter(K, H), daughter(L, K), son(Alter, L).


sibling(Alter, Ego) :-  mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 0
%sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).


siblings(Alter, Ego) :-  brother(Alter, Ego).
                     |   sister(Alter, Ego).
;; 0
%siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), male(Alter).
;; 1
%siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


sister(Alter, Ego) :-  sibling(Alter, Ego), female(Alter).
;; 0
%sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)), female(Alter).


spice(Alter, Ego) :-  husband(Alter, Ego).
                  |   wife(Alter, Ego).
;; 0
%spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(Alter, Ego).
;; 1
%spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(Alter, Ego).


square[aux]11up(Alter, Ego) :-  generation[aux]11(Alter, Ego).
                            |   parent(Alter, Ego).
                            |   parents(A, Ego), square[aux]11up(Alter, A).
;; 0
%square[aux]11up:0, generation[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 4
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 5
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 6
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 7
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 8
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 9
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 10
%square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 11
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 12
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 13
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 14
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 15
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 16
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 17
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), son(F, E), child(Alter, F).
;; 18
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), daughter(F, E), child(Alter, F).
;; 19
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), son(F, E), child(Alter, F).
;; 20
%square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), daughter(F, E), child(Alter, F).
;; 21
%square[aux]11up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 22
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 23
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 24
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 25
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 26
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 27
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 28
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 29
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 30
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 31
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 32
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 33
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 34
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 35
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 36
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 37
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 38
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 39
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 40
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 41
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 42
%square[aux]11up:2, parents:0, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 43
%square[aux]11up:2, parents:0, square[aux]11up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 44
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 45
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 46
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 47
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 48
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 49
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 50
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 51
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 52
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 53
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 54
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:0, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 55
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 56
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 57
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 58
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 59
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 60
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:0, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 61
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), son(G, F), child(Alter, G).
;; 62
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:0, brother:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), male(F), daughter(G, F), child(Alter, G).
;; 63
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), son(G, F), child(Alter, G).
;; 64
%square[aux]11up:2, parents:1, square[aux]11up:0, generation[aux]11:1, parents:1, generation[aux]11gs:1, parents:1, generation[aux]11gs:0, siblings:1, sister:0, sibling:0, children:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), father(C, B), mother(D, C), father(E, C), child(F, D), child(F, E), not(equal(F, C)), female(F), daughter(G, F), child(Alter, G).
;; 65
%square[aux]11up:2, parents:1, square[aux]11up:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).


square[aux]11up_small(Alter, Ego) :-  generation[aux]11small(Alter, Ego).
                                  |   parent(Alter, Ego).
                                  |   parents(A, Ego), square[aux]11up_small(Alter, A).
;; 0
%square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, Ego), child(Alter, A), child(Alter, B), not(equal(Alter, Ego)).
;; 1
%square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 2
%square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 3
%square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), male(D), child(Alter, D).
;; 4
%square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(D, B), child(D, C), not(equal(D, A)), female(D), child(Alter, D).
;; 5
%square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 parent(Alter, Ego).
;; 6
%square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 7
%square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 8
%square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 9
%square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 10
%square[aux]11up_small:2, parents:0, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 11
%square[aux]11up_small:2, parents:0, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 mother(A, Ego), parent(Alter, A).
;; 12
%square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), father(C, A), child(Alter, B), child(Alter, C), not(equal(Alter, A)).
;; 13
%square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 14
%square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:0, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 15
%square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:0, brother:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), male(E), child(Alter, E).
;; 16
%square[aux]11up_small:2, parents:1, square[aux]11up_small:0, generation[aux]11small:1, parents:1, siblings:1, sister:0, sibling:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), father(B, A), mother(C, B), father(D, B), child(E, C), child(E, D), not(equal(E, B)), female(E), child(Alter, E).
;; 17
%square[aux]11up_small:2, parents:1, square[aux]11up_small:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), parent(Alter, A).


step_brother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
                         |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).
;; 0
%step_brother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), son(Alter, D), son(Alter, C).
;; 1
%step_brother:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), son(Alter, D), son(Alter, C).


step_child[aux]11(Alter, Ego) :-  spice(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).
;; 0
%step_child[aux]11:0, spice:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 husband(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).
;; 1
%step_child[aux]11:0, spice:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 wife(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).


step_child[aux]11ne(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).
;; 0
%step_child[aux]11ne:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), child(Alter, B), child(Alter, A).


step_daughter(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).
;; 0
%step_daughter:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), daughter(Alter, B), daughter(Alter, A).


step_father(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).
;; 0
%step_father:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(Alter, B), not(equal(Alter, A)).


step_mother(Alter, Ego) :-  father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).
;; 0
%step_mother:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(Alter, A), not(equal(Alter, B)).


step_sister(Alter, Ego) :-  father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
                        |   father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).
;; 0
%step_sister:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), husband(C, B), not(equal(C, A)), wife(D, C), not(equal(D, B)), daughter(Alter, D), daughter(Alter, C).
;; 1
%step_sister:1%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 father(A, Ego), mother(B, Ego), wife(C, A), not(equal(C, B)), husband(D, C), not(equal(D, A)), daughter(Alter, D), daughter(Alter, C).


step_son(Alter, Ego) :-  spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).
;; 0
%step_son:0%
 Lvl=0,  PC=0, S=0, Star=0,  {None}  
 spouse(A, Ego), spouse(B, A), not(equal(Ego, B)), son(Alter, B), son(Alter, A).

